DataMan 300: Questions and Answers


Welcome Screen


Welcome

In order to quickly set up your device, it is recommended to go through the Application Steps represented by large buttons on the left-hand side. Each section has a tab with Basic or Advanced configuration options. The Save Settings action button saves the configuration data in the reader and saves a backup on your pc with a single click. The questions below describe the configuration options in each Application Step that are not self-explanatory.


What can I set under Application Type?

Clicking the arrow on the right allows you to select the appropriate reading modes from the drop-down menu.


What can I do in the Optimize Image step?

You can perform the process of configuration, tuning and testing of your connected device here, and you can set your illumination settings for the device.


What can I select under Code Details?

Here, you can select the symbologies the DataMan has to read, as well as different multi-code scenarios. The advanced decoder settings can also be done under this menu.


What can I set in the Application Details step?

Trigger and exposure settings can be defined here. For ease of use, a Trigger Assistant, an Interval Assistant an Exposure Assistant help you with these settings.

On the Advanced tab, further settings can be implemented in table view.


What can I configure under Format Data?

To construct the desired data output from the device, you can use Basic Formatting or Perl Style regular expressions to build a customized output string using pre-defined building blocks, or use the JavaScript engine to build a flexible data formatting script.


What can I set in the Inputs/Outputs step?

The behaviour of the buttons, input and output lines can be set in this pane. The details for a pulse encoder and the beeper pulse length can also be set here. This pane also has the link to the image buffer settings to FTP images to a server.


What can I set in the Communications application step?

On the three tabs of the Communications application step, serial and Ethernet settings can be implemented. Click the appropriate tab to enter your setting values.


What does Save Settings do?

Save Settings is an action rather than a step, but important to fulfil. This action will save the current configuration in the persistent memory of the reader, so the same settings will be loaded after reboot. The DataMan Setup Tool will also store a backup file locally on the current PC in the default backup folder.


What is Configuration Backup file?

The Configuration Backup file contains all parameters and configuration of the device. Can be used to restore settings to a known state or configure new devices by selecting either configuration parameters with backup properties, or without.


Connect to Reader


How do I connect my reader to Setup Tool?

Follow these steps to connect your DataMan reader to the Setup Tool:

  1. Print a copy of the Reader Configuration Codes document for your particular reader, available through the Windows Start menu or the Setup Tool Help menu.

  2. Connect the necessary cabling between your reader and the PC running the Setup Tool. Refer to your Quick Reference hardcopy documentation for details.

  3. Click Refresh in the Setup Tool.

  4. Select the COM port or Network device showing a connection to your reader.

  5. Click Connect.


Why does the Setup Tool fail to connect to my reader?

If you cannot connect, verify the following:

  • Click Refresh to determine which ports have readers connected to them. Clicking Refresh sends a query string on all COM ports and across the Ethernet network subnet. A DataMan 8000 wireless reader must be awake to respond to the query. Squeeze the trigger to wake up the reader.

  • Make sure that you are not using the keyboard, keyboard wedge, or HID connection: you must use USB Serial, RS-232 Serial, Ethernet or Wireless network to connect the Setup Tool to the reader.

  • Serial Connection
    • Make sure that you have scanned the configuration code (USB COM or RS-232 Serial) that matches the type of physical connection you are using (not applicable to Ethernet-only readers).
    • Make sure that the COM ports list shows a port where your reader is connected.
    • You can use a terminal emulation program such as PuTTY to determine whether the reader is sending any data if the reader is connected to a COM port on the PC.
  • Ethernet Connection
    • Make sure that the firewall or antivirus application installed on your computer makes communication with Ethernet devices possible by allowing the appropriate ports (Cognamer:1069 and Setup Tool:44444).
    • Verify that your device appears in the list of Network devices.
    • Make sure that the IP address you provided in the Add Network Device option is correct.
  • Wireless Connection
    • Make sure that the reader is not in sleep mode (squeeze the trigger to wake it up).
    • Make sure that a connection is established between your reader and the base station connected to your PC. Unplug both the power and communication cables from the base station, reconnect the cables, then replace the handset in the base station. Wait until the handset indicates that it is linked (with an audible signal) before attempting to connect again.
    • Make sure the base station is connected to power.


Why do I see an overlay icon in the upper right corner of my device icon?

The arrow icon indicates that it is a manually added device. The 'V' icon indicates that the device is a virtual device.


What are virtual devices?

The 'V' overlay icon in the top right corner of the device icon indicates that the device is a virtual device. Virtual devices can be created under Repair and Support either from a custom configuration file or a device with default configuration. Virtual Devices can be used to look at different panes in Setup Tool without the need of an actual device to connect to.

The created virtual device is not visible for other devices on the network. The virtual device persists through multiple Setup Tool instances.

The created virtual device can be connected to the same way as a regular device, except that all configuration changes are rejected (everything is read-only) and no features, functions, and actions work on virtual devices.


I still cannot connect to my reader: Can I reset it?

Print a copy of the Configuration Codes document for your particular reader, available through the Windows Start menu or the Setup Tool Help menu.

Scan the Reboot Scanner code to perform a soft reset. The reader's nonvolatile memory is not cleared, but the reader is shut down and restarted.

If you still cannot connect to the reader, scan the Reset Scanner to Factory Defaults code to return the reader to its factory-default state.

If that fails to clear the issue, disconnect the reader from power (both DC power and USB, if connected). While holding down the trigger button, reconnect the reader to power. Keep pressing the trigger button for at least 6 seconds, until the double beep occurs. The reader will flash its indicator lights in different colors.


How do I know which device is mine?

In the tree where devices are listed under Connect to Reader, right-click a reader and select Identify. The status indicator on the reader gives a signal, allowing you to identify it.


Why are some devices shown in green?

Newly discovered devices show up in green for a few seconds to make you aware of the fact that a new device was added to the tree view.


Why can't I compare a serial device that is opened in a document?

Serial devices can maintain only one connection at a time. When you connect to a serial device, the Process Monitor and Compare Configurations buttons are unavailable. Also, if you open the Compare Configurations document for a serial device, you cannot connect to the device as long as Compare Configurations document is open.


What is the Process Monitor?

As it operates, a DataMan reader logs statistics such as the number of triggers received, the number of symbols read (and not read), and the number of trigger overruns. You can view or request these statistics using a variety of means. For example, you can connect VisionView Application Software to monitor the decode attempts from any reader, or establish a connection using the DataMan Control Commands (DMCC) interface and retrieve log information over a serial or Telnet connection.

By default, a DataMan reader stops generating statistics about decode attempts when connected to the Setup Tool. To re-enable process statistics when connected to the Setup Tool, you must start the Process Monitor. Even if you establish multiple connections to a single reader, such as using both the Setup Tool and VisionView Application Software, the reader will not log decoding statistics unless you enable the Process Monitor.


Why does the Setup Tool ask for a password when I want to connect?

The reader and the base station can be configured to request a password before connecting to the Setup Tool. The password is enabled on the Authentication tab in the Network Settings option of the Communication Settings pane. Be aware that the password is used for serial connection as well.


Can I connect the reader or the base station to my PC directly using Ethernet?

The reader or the base station can be connected directly to an Ethernet connector (RJ-45) on your PC. If your device is configured for DHCP, it will appear in the Network devices list after roughly 20 seconds. Be aware, however, that your PC might require an additional minute for its IP address to be resolved. Until this finishes you cannot connect to your device through the Setup Tool.

If your device has been set to a static IP address, it will appear only if the device and the PC share the same subnet.


How do I map a listing in the Network Devices list to a specific reader?

By default, each DataMan appears in Network devices with a DM prefix and the last six characters in its MAC address, which is printed on the device.


What if my reader or base station does not appear in the list of Network Devices?

If the desired reader or base station is not listed, you can add it by cycling its power. It may take up to 60 seconds for the device to appear in the list after power is applied.

If cycling the power fails to resolve the problem, the Setup Tool may not be able to communicate with your device due to the network configuration, and it will not appear in the list of Network devices.

Check your Ethernet connection with the reader or base station and click Refresh in the Setup Tool.

If you know the IP address of the reader or the base station, use the Add Device option.

This method allows the DataMan reader or base station to appear in the list of Network devices so that you can connect to it through the Setup Tool and your Ethernet connection.


How does the Compare Configuration button work?

The Compare Configuration button initiates the configuration comparison function of Setup Tool, a table view style tool used to set, copy, compare, or restore device configurations. The function opens in a new document page.

If no devices are selected from the device list before pressing the button, an empty document is opened. If one or more devices are selected, the comparison document is populated with the settings of those devices.


What is the RTM Lean device that shows up under Network?

Real Time Monitoring (RTM) Lean is a feature built into DataMan Setup Tool that allows for the collection and analysis of different kinds of data related to devices on the network and their readings. You can connect to RTM Lean as you would to a device, then proceed to set up data collection in a newly opened document. RTM Lean only collects data actively when running and you are connected to it.

During the initial setup, you are asked to choose the device that RTM Lean is going to monitor, and then what kind of data (outside of the default) it is going to collect. This can be redefined under Configuration on the ribbon menu. By default, RTM Lean collects statistical data (Read Rate, trigger count, trigger overrun, buffer overflow, and process control metrics, if enabled on the device).

NOTE: RTM Lean can acquire data from a single device at a time and keep data for 48 hours.


Optimize Image


What can I do in the Optimize Image step?

You can perform the process of configuration, tuning and testing of your connected device here.

To quickly setup your device, it is recommended to go through the Application Steps represented by large buttons in the middle where you can select from Basic or Advanced configuration options. With the Save Settings action button you can save all your configuration data in a simple way.


How do I save an acquired image to a file?

Click the Save Image button in the toolbar of the Image Panel or the Image Viewer.

You can also drag and drop your image to your PC. Click the image in the Image Display window, drag it outside the Setup Tool and release it.

NOTE: In case you want to save an image with drag and drop, and the image is not the latest one (you are saving it from the Read Result History), the image will be saved with the displayed image settings. By default, it is of reduced quality. Under Displayed Image Settings, you can change the image size to full and the format to Bitmap.


How can I use the Live button?

On the Basic tab, click the Live button to enter Live mode. Live mode not only monitors what the device reads, but decodes as well. Clicking the rightmost side of the button opens further options.

Check Decoding if you want the device to decode taken images. When checked, Focus Feedback displays a color-coded meter on the right side of the image view. The meter indicates the focus of the lens (lower is less focused).

Check Automatic Exposure option to have the reader automatically determine the best exposure settings in the image.

On the Advanced tab, a table view of the image settings can be seen.


How can I use the Tune button?

Click the Tune button on the Basic tab to automatically find the best settings for your reading. The drop-down window (click the right-most side of the button to open it) reveals the Optimize Focus, Optimize Brightness, Symbology Assistant, Trigger Types, Train Code, Advanced Trigger Settings, and miscellaneous tune features.

NOTE: The minimum ROI size required for Tune to work is 144x144 pixels.

The options at the top of the drop-down window are described in separate questions below.

Click Optimize Brightness to set the recommended brightness for your device automatically (only available if Manual Exposure is set below), or click the link next to the button to navigate to the Application Details application step where you can set light intensity manually and find advanced settings.

Select Automatic Exposure option to have the reader automatically determine the best exposure settings in the image. The Gain Factor slider (below the image view area) indicates the target's pixel brightness.

Select Manual Exposure option for manual exposure and then drag the Maximum Exposure slider to the left or to the right to specify a precise setting for camera exposure. Alternatively, you can use the slider below the image view area. The Maximum Gain Factor setting is used to set the target's maximum pixel brightness.

Click Optimize Focus to set the recommended focus for your device automatically, or click the link next to the button to navigate to the appropriate pane under Application Details where you can set the camera focus manually and find advanced settings. You can optimize focus also by using the slider below the image view field (with the focus icon). Note that it only appears when using liquid lens.

Click Train Code to train or (in case a code is already trained) untrain codes, or click the link next to the button to navigate to advanced code training settings on the Code Details application step.

The Symbology Assistant is a wizard that walks you through the setup of reading and decoding the appropriate or desired symbologies. You can also manually tweak symbology settings by clicking on the link next to the assistant, which will navigate to the Code Details application step.

Configure the reader with any of the following Trigger Types:

  • Single triggering acquires a single image and attempts to decode any symbol it might contain. This trigger mode supports a read timeout.

  • Presentation triggering continuously scans for a symbol and decodes it each time one is detected.

  • Manual triggering acquires images as long as the trigger signal remains active, and stops when a symbol is found and decoded or the trigger signal ends.

  • Burst triggering acquires a set number of images and decodes the first symbol it detects within the group. You can configure the number of images within each burst as well as the interval between each image acquisition. This trigger mode supports a read timeout.

  • Self triggering is similar to presentation triggering in that the reader continuously scans for a symbol and decodes it each time one is detected.

  • Continuous triggering acquires images as long as the trigger signal remains active, where the reader acquires images at a specific interval and attempts to scan any symbols each successive image contains.

Note: Not all trigger types are available for all devices! Check the corresponding Reference Manuals for more information on the available trigger types of your device model.

Clicking the Advanced trigger settings link at the bottom navigates you to the Application Details step where you can have further settings.

On the Advanced tab, you can set the values in a table view.


What happens if I select Tune Light Banks?

If you set Tune Light Banks, the device tunes the light banks. If you know which light settings you want to use, disable it, so the tuning doesn't overrule your preset.


What happens if I select Exhaustive Tuning?

Selecting this option will force tuning the light banks. When Exhaustive Tuning is disabled, and the reader succeeds to read the code with the primary light setting (1st one in the sequence), it will stop to try other light bank combinations.

If Exhaustive Tuning is on, the reader will continue to try all combinations to look for the best one, no matter whether or not the first one succeeded.


What happens if I select Enable Filter Tuning?

If Enable Filter Tuning is selected, the DataMan Setup Tool applies filters to the read image. The filter using which the code is successfully read is then shown in the Tuning Results pane under Image Filter.


What happens if I select Optimize Focus During Tuning?

If you want the focus to be automatically optimized during tuning, check the Optimize Focus During Tuning option.


What happens if I select Train Code After Tuning?

Check Train Code After Tuning if you want to make sure that the read codes are trained to your device after tuning. The code found will be shown at the bottom of the DataMan Setup Tool window.

NOTE: When this function is used, the DataMan Setup Tool will only recognize the found code type, so do not use any other code type to be read.


What happens if I select Exclude Ambient Light Results?

Check Exclude Ambient Light Results if you do not want only ambient light results to be automatically selected for the tuning process (which would otherwise be the prevailing illumination type for fix mount readers).


How can I use the Test button?

Click the Test button to test your device with a configuration, without any disruption to production.

If you selected a trigger type under the Live button that is external (any other than Presentation or Self trigger mode), you can trigger the reader automatically in Test mode. You can trigger the reader automatically in Test mode using the Trigger On and Trigger Off times. For your convenience, you can see the calculated trigger frequency.

You can either reduce Trigger On or Trigger Off times to reduce the cycle time, and thus increase trigger frequency.

NOTE: Depending on the read setup, code to read, and connection interface, there might be speed limitations, and at higher speeds, it can help to disable image transfer.

Some typical use cases are the following:

  • Trigger On = 20ms, Trigger Off = 1980ms -> Frequency = 0.5 Hz (default)
  • Trigger On = 20ms, Trigger Off = 980ms -> Frequency = 1 Hz
  • Trigger On = 20ms, Trigger Off = 480ms -> Frequency = 2 Hz
  • Trigger On = 20ms, Trigger Off = 180ms -> Frequency = 5 Hz
  • Trigger On = 20ms, Trigger Off = 80ms -> Frequency = 10 Hz
  • Trigger On = 20ms, Trigger Off = 30ms -> Frequency = 20 Hz


What do I use the Read Performance pane for?

With the graphs under the Read Performance pane on the right, you can monitor decode times and read rates in real time. Click the Clear button to reset the graph.


How do I know when tuning is finished?

While tuning is ongoing, the Tune button changes to Cancel. When tuning is finished, the button changes back to Tune. You will also see an updated image of the reader's front displaying the best possible illumination with red LEDs.

You can also monitor the tuning process on the Tuning Results pane on the right. The tuning process has a progress bar in the lower right corner that indicates the status of tuning in real time.


How do I adjust the image exposure?

Click Tune to automatically select the best settings for your reading. If you wish to further configure tuning, click the right-most side of the Tune button to reveal advanced settings, or navigate to the Tuning pane.

Click Optimize Brightness to automatically set a recommended light intensity. This feature is available if Manual Exposure control is selected. To enable Manual Exposure or for further settings, click the icon next to the Optimize Brightness button. Alternatively, drag the Exposure slider under the image to the left or to the right, or type in a value for the exposure. For further settings, click the icon next to the text box on the right.

NOTE: Optimize Brightness and Tune does not work if one RoI dimension is smaller than 144.


How do I adjust the image focus?

Click Tune to automatically select the best settings for your reading. This initiates the Optimize Focus feature if available, besides the Optimize Brightness and Train Code features.

Click Optimize Focus to set the best possible focus. This feature is only available for readers with a liquid lens. For further settings, click the link next to the Optimize Focus button. Alternatively, use the Focus slider under the image by dragging, or type in a value for the focus: the value can be given either in diopter or distance (millimeters). You can also use the '+' and '-' buttons to change values, but be aware that '+' decreases diopter value, and '-' increases it. Distance is not applicable for the orange region (above 500 millimeters) of the slider, so Setup Tool automatically deactivates distance when you move the slider to that region. Moving the slider or value out of the orange region reactivates distance. For further settings, click the Advanced Focus Settings link to navigate you to the Focus Settings pane

You can also change Focus Value settings while experimenting with Live Display.

Please note that the focus distance is measured from the lens, not from the front cover of the reader.


How can I quickly turn on or off all of the reader's lights?

Right-click on the image displaying the LED lights. From the list, choose the lights you want to turn off or on.

Clicking the individual lights in the image itself also turn the lights on and off.

Changes are immediately effective according to your selection.


What is Symbol Diagnostics (feature key required)?

Symbol diagnostics is a feature that provides graphical feedback from the device for NoRead barcodes. By looking at the feedback, you can troubleshoot why a barcode failed to decode. The feedback provided can signal the following issues (in a region of the barcode):

  • Start or Stop pattern was not found (orange arrow on code). The region designated by the arrow failed to decode. Reasons for failure are as follows (please check the corresponding Tech Note for detailed images that illustrate each case):

    • The Start or Stop pattern is clipped/damaged

    • The code is clipped (due to image boundary or by an object blocking the code)

    • Image quality degradation (often, but not always, caused by light quality)

    • Warping and folding of barcode labels

  • Damage/print-error inside the barcode (red rectangle region on code). The region within the rectangle is where the damage or printing issue is found. Common examples of printing issues are (please check the corresponding Tech Note for detailed images that illustrate each case):

    • Leaking ink that merges bars into one

    • Misprint of a bar that reduces its thickness beyond decoding tolerance

  • Quiet Zone is not sufficient (magenta rectangle region on code). Quiet Zone violation occurs when there is not enough space on one or both sides of the barcode. Depending on the symbology, readers tolerate some Quiet Zone violation. Quiet zone violation usually happens due to text or rectangle around the barcode being too close to the barcode on one or both sides or because the code was clipped by the image boundary (please check the corresponding Tech Note for detailed images that illustrate each case).

  • Checksum verification failed (blue rectangle around the code). Common causes for Checksum validation failure are as follows (please check the corresponding Tech Note for detailed images that illustrate each case):

    • Damaged barcode (barcodes can be folded and aligned such that all the data characters decode, but it is a NoRead still, as checksum verification is not passed)

    • Incorrect pattern is printed (the encoded string and the printed barcode pattern don’t match and if the symbology supports Checksum, then the decoder can indicate such failure)

In addition to graphical diagnostics, Symbol Diagnostics returns readability metrics for each NoRead result, shown at the top left corner of NoRead codes. Metrics can help you assess the image or print quality and help in improving the existing setup.

Symbol diagnostics is only available for uploaded PNG images (Actions>Images>Upload Image) that are signed by a Cognex reader (not necessarily the same reader; images are signed automatically when saved from any reader). After uploading an image, check the Image Panel or Quick Setup image window for Symbol Diagnostics feedback.

In addition to graphical diagnostics, Symbol Diagnostics returns readability metrics for each NoRead result. Metrics like Symbol Contrast and Minimum Edge Contrast can help users assess the image or print quality and help in improving the existing setup. The metrics are shown at the top left corner of each NoRead barcode.

The table below shows a mapping between the displayed metric name and its full name. Please refer to the Readability Metrics to understand what each metric measures.

Full Name | Displayed Name | Possible Grades
Symbol Contrast | C | A,B,C,D,F
Minimum Edge Contrast | EC | A,F
Print Growth | PG | A,F
Minimum Reflectance | MR | A,F

Note: Note: Symbol Diagnostics is a feature that is activated exclusively by feature key.


What are Displayed Image Settings?

Displayed Image Settings control how the reader displays the images it acquires in response to acquisition triggers as well as the live images taken from any reader. Changing these settings does not affect the performance of the reader, and only affects the image quality and transfer rate between the reader and the Setup Tool.

NOTE: Some image related properties (eg. image size, filtering) cannot be altered when the device is acquiring or decoding images.

NOTE: Displayed Image Settings have no effect when saving the last image taken from the Image Pane (by dragging and dropping). The last image is always saved full size (the device's resolution maximum).

  • size: By default, the Setup Tool displays a quarter of all pixels of each acquired image, or a fraction of each image during a live display. Choosing between image sizes allows the reader to perform a sub-sampling of each image, which can dramatically improve the image transfer speed from the reader to the Setup Tool at the cost of some precise image details.

  • format: By default, the reader stores each acquired image in a .jpeg format, which requires less memory and can be transferred from the reader to the Setup Tool faster than a .bmp format image.

  • quality: Available only if you are using the .jpeg image format, this slider adjusts internal parameters that allow the reader to perform a smoothing operation on the acquired image which can reduce or enhance the transfer speed from the reader to the Setup Tool.


What can I set with Image to Use?

Select Original or Filtered according to which image you want to see during Live Display. Go to the Image Filtering pane for further settings.

NOTE: This option does not exist on DM262.


How do I change the intensity of the red illumination LEDs?

Under the Illumination group box, use the Intensity slider to change the intensity of the red illumination LEDs the reader uses to light the symbol under inspection.

You can also click on the LED groups on the image displayed under Light Settings.

Note that not all platforms and light configurations support Intensity Control. Consult the table below on supported configurations:

Platform | Intensity Control | Individual LED or segment on/off | Comment
DM150 | No | Yes | Multiple LED colors
DM260 | No | Yes | Multiple LED colors
DM300 | Yes | No | Multiple LED colors
DM300 with HPIL | Yes | Yes |


Why is the High Frequency Lights checkbox disabled?

You have to turn off internal illumination to enable high frequency lights. To turn off internal illumination, right-click on the image of the reader in the Light Settings group and click All off.


What can the "Always on" Enabled option in the High Frequency Lights box be used for?

If internal illumination is turned off, and therefore High Frequency Lights are enabled, you can set here a timeout after which the High Frequency Light (HFL) is turned off if no trigger occurred for a long period of time. The timeout is specified in seconds. Setting the timeout value to 0 turns off the timeout handler and the light will stay on forever. Changing operation mode or turning the live image view on will turn off the HFL.


How do I use an external light source?

In the Advanced tab of Optimize Image pane, select External for the illumination type.

To use an external light, connect it to the selected output line as described in the Quick Reference Guide.

  • The output line must be wired as a current sink.

  • The common output must be logical ground.

  • The limit for current is 50 mA @ 24 VDC.


What happens if I use an external light source together with a strobe connected to one of the the output lines?

The strobe output signals appear before the dedicated illumination output. The external light source output appears with a delay. During image acquisition, both illuminations are on.


What is the Precharge Time applicable to?

This setting is applicable to both the dedicated illumination connector and the discrete I/O configured on the System Settings pane.


What are the different external illumination options for Precharge Time?

  • Cognex External: Cognex External Lights

  • Cognex HPIA: Cognex High Power Illumination Accessories

  • SVL Bar Lights: Smart Vision Lights YL, ODL, and L Series

  • CCS Lights: Standard CCS Lights

  • Custom Light: any other external lighting


What is the Front Cover Filter setting used for?

You can select the currently used lens cover type from the drop down box.


How do I specify a region of interest within each acquired image?

By altering settings in the Image Size (Region of Interest) subpane.


I checked 'Transfer and Display Images'. Why don't I see an image?

If you interrupt an image transfer by initiating a trigger, then no image is transferred. Also, older results in the Read Result History grid might not include images.

If the Output Delay is shorter than the reader needs to acquire an image and decode for any results, Setup Tool may not receive result images from the reader.


When should I use the Train Code button?

By default, the reader will attempt to decode a symbol using all enabled symbologies on the Symbology Settings pane. The Train Code button, which is only enabled for Single, Burst, Self and Continuous trigger modes, acquires and decodes a new image, learning the attributes of the symbol in the image. Training the reader with the expected symbology can decrease the time required to decode successive symbols, as the reader does not have to cycle through enabled symbologies.

If the symbols you want decode have a consistent symbology, use the Train Code feature. Be aware, however, that the reader will fail to decode a symbol if it appears in a symbology other than what it has been trained to use. Click the Untrain Code button to disable the training parameter and allow the reader to check the next symbol against all enabled symbologies.

To train your reader to decode multiple codes in a single image, refer to the question "How do I perform training when I want to decode multiple symbols?" under Symbology Settings for more information.


Why does a code of the same symbology and model size as the trained code not get decoded?

Make sure that the code you trained does not differ from the code you want to decode more than 10% in size.


What is Live Display?

If you enable Live Display Enabled (by clicking on the Live Display icon on the topmost task bar or in the Action tab), the image display continuously displays what the reader sees. You can use this mode to verify what the reader is seeing without attempting to decode symbols.

To change the size and quality of the image that is displayed live, go to the Displayed Image Settings pane.

NOTE: This option is not available on DM262 and DM362.


How can I increase the image transfer speed?

If the Transfer and display image checkbox is checked, the Setup Tool transfers the image acquired for each decoding operation. If a new trigger is received while the current image is being transferred, the reader will discard the partially transferred image and start transferring the new image.

Image transfer speed depends on the amount of image compression performed by the reader. You can control the image compression value by selecting the Displayed Image Settings option. Lowering the image size or lowering the image quality will increase the transfer rate.


How do I view all the images taken during a burst trigger?

To view all the images collected during a burst trigger:

  1. Make sure that the trigger type is set to Burst.
  2. Check the Transfer All Images checkbox.

The Result History pane will contain the images captured during the burst trigger. To view the filmstrip you must click on the result in the Read Result History grid.

The number of images will match the Burst length set in the Advanced tab of Optimize Image pane.

Note: If the Output Delay is shorter than the reader needs to acquire an image and decode for any results, Setup Tool may not receive result images from the reader.


What does Transfer All Images do?

Check Transfer All Images to view all the burst images associated with each trigger.

When checked, all images acquired in burst mode will be accessible from the Result History pane, regardless of whether any image contains a decoded result or not.

This option is only available if you select Burst for the trigger type in the Advanced tab of Optimize Image pane.

Note: If the Output Delay is shorter than the reader needs to acquire an image and decode for any results, Setup Tool may not receive result images from the reader.


How can I bring my reader into focus?

Check Focus Feedback and click Live Display. As you move the reader, you will see a column displaying the focus value. The column is either red, yellow, or green, depending on the sharpness of the focus. When the column is displayed in green, the code is in focus and you will be able to decode your image (after stopping Live Display).

Make sure that Live Display uses the Original and not the Filtered Image.

NOTE: This feature is not supported on DM262.


I used Focus Feedback on a Data Matrix code, but the focus is only sharp when I go too close. What can I do?

First, make sure you have the Data Matrix symbology enabled. Then go to Tuning and click Tune. The best parameters will be chosen and you will be able to decode your image.


Code Details


How do I quickly disable all symbologies?

Click Disable All Symbologies in the top part of the Basic tab in the Code Details application step, or press Ctrl+D.


Why are all the symbology checkboxes disabled?

You can train the reader with the expected symbology for successive symbols. If the reader is trained, you cannot change which symbologies are enabled or disabled. You must untrain the reader to enable and disable various symbologies.


How do I adjust advanced symbology settings?

Click on the Advanced tab under Code Details to specify further settings.


Does the reader auto-discriminate different symbology types?

The reader automatically detects, identifies, and decodes symbols encoded using any of the symbologies enabled in Setup Tool.


Why can't I change symbologies, why is everything greyed out?

You can enable and disable symbologies only in Manual and Presentation trigger modes.


What metrics are supported for the individual symbologies?

The following table lists which metrics are supported for which symbologies.

Metric | DataMatrix ISO/IEC 15415 | DataMatrix AIM-DPM | QR | PDF417 | Code 128, UPC/EAN, Code93, Code39, I2/5, Codabar, MSI
symbolContrast | x | x | x |  | x
UEC | x | x | x | x |
axialNonUniformity | x | x | x |  |
printGrowth | x | x | x |  | x
modulation | x | x |  |  |
fixedPatternDamage | x | x |  |  |
gridNonUniformity | x | x |  |  |
extremeReflectance | x | x |  |  |
reflectMin |  |  |  |  | x
edgeContrastMin |  |  |  |  | x
singleScanInt |  |  |  |  | x
multiScanInt |  |  |  |  | x


Does reader performance improve by limiting the number of enabled symbologies?

For best performance, only enable those symbology types that you expect to encounter.


Usage Types disabled in Data Matrix Properties

The IDMax Usage Types are disabled unless you select the ID Max algorithm from the Symbology Settings pane.

The IDQuick Usage Types are disabled unless you select the ID Quick algorithm from the Symbology Settings pane.

IDQuick Usage Types

Many applications can use the Speed Preferred setting for the fastest possible decode times. Choose Yield Preferred when the symbols you want to decode can appear warped, distorted or appear within a non-uniform background. Extended is intended for reading high quality direct-part mark (DPM) 2-D codes including dot matrix symbols.


Print Deformation in Data Matrix Properties

Print Deformation allows your reader to accept code despite their being deformed in some way. Use Moderate (default) if you have to read irregularly printed codes or if there is a cylindrical warping of continuous label codes.


Symbol Damage in Data Matrix Properties

Symbol Damage allows your reader to accept code despite being damaged in some way. Use Moderate (default) if you have to read codes that undergone normal wear; use Extreme to enable PowerGrid (TM), a breakthrough in DPM Data Matrix reading technology, if there is significant damage to the fixed patterns of the code due to occlusion or wear.

NOTE: Enabling PowerGrid (TM) by setting the Extreme setting requires the purchase of the corresponding feature key.


Ignore Polarity - Data Matrix Properties

Ignore Polarity - Data Matrix Properties

When checked, your device in trained state can read codes with polarity opposite to that of the code used for training.

When checked, your device in trained state can read codes with grid size slightly different (+/- one level) from that of the code used for training. That is, if you trained a 12x12 Data Matrix code, for example, with flexible grid size you will be able to decide 10x10 or 14x14 size codes, too.


What are the different settings for EAN.UCC Composite Properties?

  • Standard (linear and 2D): Consists of a linear component (encoding the item's primary identification) associated with an adjacent 2D Composite Component (encoding supplementary data, such as a batch number or expiration date)

  • Linear-only: Consists of only the linear component encoding the item's primary identification.


What is CC-C?

CC-C is one of three EAN.UCC 2D Composite Components, specifically a PDF417 symbol with a codeword of 920 in the first data codeword position as a linkage flag, and denoting EAN.UCC data compaction.


Data Matrix Properties: DataMan X model readers only

Process Control Metrics

After you enable one of the process control metric groups on the Data Matrix Properties pane, you can use these on the Metrics tab of the Standard Formatting pane.

The metrics are also accessible through scripts. In case you have not enabled any process control metrics, they will return -1.

Process Control Metrics are -1 or NA

When the printing or image quality of the symbol is so poor that the process control metrics can not be measured with a reference decoding algorithm, the reported metrics will be -1 or NA. Improve the printing or image quality by using, for example, the Image Filtering functionality.


What are DataMatrix quality metrics?

For information on code quality metrics, see the DataMan Communications and Programming Guide.


1D Symbology Properties

Short Quiet Zone

The Short Quiet Zone option, when checked, allows some search leniency regarding the quiet zone of the following 1-D symbols: Code 128, Code 39, and Code 93.

Short Height Codes

Checking the Short Height Codes option improves the decoding performance of symbols that are exceptionally short and wide.

Changing Orientation

The Orientation is set to Omnidirectional by default on DM300X, DM503QL, and DM503X readers.

The Orientation is set to Picket Fence (as shown below) by default on DM300L, and DM503L readers.

Code Orientation Disabled

Code Orientation is disabled if the 1D code has been trained with the Train Orientation feature.

Process Control/Code Quality Metrics for data formatting

After you enable 1-D Quality Metrics on the Code Quality pane (feature key required), you can use these on the Metrics tab of the Standard Formatting pane.

The metrics are also accessible through scripts. In case you have not enabled any process control metrics, they return -1.

The reported Process Control/Code Quality Metrics are -1 or NA

When the printing or image quality of the symbol is so poor that the process control metrics can not be measured with a reference decoding algorithm, the reported metrics will be -1 or NA. Improve the printing or image quality by using, for example, the Image Filtering functionality.

This means that your codes must be aligned to this orientation in order for them to be decoded.

Change this orientation to Ladder (as shown below) if your codes are perpendicular to the sensor.

This means that your codes must be aligned to this orientation in order for them to be decoded.

Change this orientation to Picket Fence and Ladder if your codes are either aligned to picket fence orientation or perpendicular to the sensor.

Note that DM300L and DM503L readers only support Ladder and Picket Fence orientations.

1D Data Stitching

Data Stitching enhances reading efficiency by merging and expanding partial reads. The feature is only active if the feature key 1DDataStitching is installed.

Usage Types

The Extended strategy can decode difficult barcodes, but takes longer than the Standard strategy.


1D Symbology Properties: What is the difference between usage types?

The Extended strategy can decode difficult barcodes, but takes longer than the Standard strategy.


1D Symbology Properties: What should I set for Minimum Decodes Before Output?

Set a high number to increase decoding robustness. Set a low number if your priority is performance speed.


Benefit of specifying a code size

Specifying an explicit code size can improve the ability of the reader to reliably decode symbols. Select Any if you are reading different code sizes.


Code 39 Properties

  • Full ASCII enables Code 39 Extended codes.

  • Check character only decodes symbols with a valid check character.

  • Transmit check character includes the check character with the decoded data.

  • Convert to Code 32 converts Code 39 character set to Code 32 if checked.


Interleaved 2 of 5 Properties

  • Check Character only decodes symbols with a valid check character.

  • Transmit Check Character includes the check character with the decoded data.


Code 25 Properties

  • Check Character only decodes symbols with a valid check character.

  • Transmit Check Character includes the check character with the decoded data.


Pharmacode Properties

Benefit of specifying a code size and orientation

Specifying an explicit code size and orientation can improve the ability of the reader to reliably decode symbols.

The number of data characters and the number of bars in any symbol

Data Characters : Bars

  • 1: 3 Note: the only 1 character code the reader reads are those with 3 bars or more. That means 6, 7, 8 and 9 only.

  • 2: 3 to 6

  • 3: 6 to 9

  • 4: 9 to 13

  • 5: 13 to 16

  • 6: 16


Codabar Properties

  • Check Character only decodes symbols with a valid check character.
  • Transmit Check Character includes the check character with the decoded data.
  • Transmit Start and Stop Characters includes the start and stop characters with the decoded data.


MSI Properties

  • Check Character only decodes symbols with a valid check character.
  • Transmit Check Character includes the check character with the decoded data.
  • Checksum calculating method allows you to select the method used for calculating checksum.


DataBar properties

  • GS1 DataBar Limited: Encodes a 14-digit EAN.UCC item identification with Indicator digits of zero or one in a linear symbol for use on small items that will not be scanned at the point-of-sale

  • GS1 DataBar: Encodes the full 14-digit EAN.UCC item identification in a linear symbol that can be scanned omnidirectionally by suitably programmed point-of-sale scanners

  • GS1 DataBar Expanded: Variable length, expanded version of the symbology capable of encoding the 14-digit GTIN and additional data including expiration dates, the country of origin and serial numbers - up to 74 numeric or 41 alphabetic characters.


Postal Properties

  • POSTNET: A barcode symbology that is used by the United States Postal Service to assist in directing mail. The ZIP Code or ZIP+4 code is encoded in this unique symbology that encodes data in bars of different heights.

  • PLANET: Postal Alpha Numeric Encoding Technique (PLANET) barcode is used by the United States Postal Service to identify and track pieces of mail during delivery. Like POSTNET, it encodes data in bars of different heights.

NOTE: Postal codes can only be decoded if presented in picket fence position.


Supported Quick Response (QR) Code versions

QR (Quick Response) Code is a 2-D symbology that features a square array of dark and white modules used to encode data. The reader can discern between three different types:

  • model-1: Original version

  • model-2: Enhanced version

  • Micro QR Code: A very small QR code that fits applications requiring a smaller space and using smaller amounts of data than other QR Code versions


QR Code Properties

Ignore Polarity

When checked, your device in trained state can read codes with polarity opposite to that of the code used for training.

Flexible Grid Size

When checked, your device in trained state can read codes with grid size slightly different (+/- one level) from that of the code used for training. That is, if you trained a 25x25 QR code, for example, with flexible grid size you will be able to decode 21x21 or 29x29 size codes, too.

Maximum Grid Size

Maximum Grid Size allows you to decode QR codes that are larger than size 49. You can either drag the slider or type in a specific code size to the text box on the right.

QR code quality metrics

For information on code quality metrics, see the DataMan Communications and Programming Guide.


QR Code Properties: DataMan X model readers only

Process Control Metrics for data formatting

After you enable QR Metrics on the QR Code Properties pane, you can use these on the Metrics tab of the Standard Formatting pane.

The metrics are also accessible through scripts. In case you have not enabled any process control metrics, they will return -1.

Process Control Metrics are -1 or NA

When the printing or image quality of the symbol is so poor that the process control metrics can not be measured with a reference decoding algorithm, the reported metrics will be -1 or NA. Improve the printing or image quality by using, for example, the Image Filtering functionality.


DotCode Properties

Specifying the number of data rows and columns

Specifying the minimum and maximum number of data rows and columns can improve the ability of the reader to reliably decode symbols.

Polarity setting

You can set what the device defines as a module (dot) in relation to its background. The Dark on Light setting implies that the device scans for and decodes dark dots on a light background, while Light on Dark is the opposite (light dots on a dark background).

The default Either setting scans for both kind of modules on their respective background, but this may lead to a slightly slower decoding.


What is the difference between the ID Max and ID Quick algorithms?

ID Quick provides high speed decoding of symbols that are well formed and appear in high contrast, while ID Max uses advanced image processing and image analysis techniques to assure the highest yield on DPM codes produced by laser, dot peen, ECE and Ink Jet technologies.


How do I enable multicode results?

Multicode can be set for all trigger types, but will only result in multicode results in trigger types Single, Manual, Burst and Continuous. Presentation and Self trigger modes will show the found results as individual results.

On the Advanced tab of the Code Details application step, specify the maximum number of codes in an image with the Number of Codes field. You can also specify how many of each symbol type you want the reader to decode, based on your application. For best performance the Number of Codes to read should equal the sum of the Max. Number of Codes fields of the individual symbologies (e.g. total number of 3, with Data Matrix set to 2 and 1D set to 1). The number of individual codes to read cannot exceed the value in the overall Number of Codes field.


Multicode

Allow Partial Results

Enable Allow Partial Results to allow the reader to return a successful read result when the image contains fewer codes than the Number of Codes specifies.

Allow Identical 1D Symbols

Enable Allow Identical 1D Symbols to allow the reader to return multiple results in an image even if the reader detects more than one symbol (in the same image) with the same length, symbology, and data string.

Allow Identical 1D Symbols applies only to two or more identical 1D symbols that appear in one single image. The Allow identical 1D Symbol control has no effect on images taken one after the other (regardless of mode) even if the same identical symbol is found.

Sorting Priority

The list for Sorting Priority allows you to determine how the reader reports multiple results.

  • Use the Up and Down buttons to move any option to a higher or lower priority.

  • Use the Reverse button to reverse the order within a selected option.

  • Be aware that the Position options (Top to Bottom or Left to Right) refer to the center of the symbols.

  • Use Image Order for the Burst or Continuous trigger modes, where symbols that are decoded in earlier images are reported before symbols decoded in later images.


The Max. Number of Codes greyed out for QR Code/MaxiCode

You can read a multicode image including a MaxiCode, but only one MaxiCode per image can be decoded. This means that if you want to read a multicode image including a MaxiCode, you have to enable QR Code, too, on the General tab.


Training

By default, the reader will attempt to decode a symbol using all enabled symbologies on the General tab. Training the reader with the expected symbology can decrease the time required to decode successive symbols, as the reader does not have to cycle through enabled symbologies. Be aware, however, that the reader will fail to decode a symbol if it appears in a symbology other than what it has been trained to use.

Use the Training tab to control the status of trained symbologies.

The Setup tool disables symbologies that the reader is not trained to expect unless you clear the Disable Untrained Symbologies checkbox and enable Incremental Training.

Train Code button

Click Train Code on the Actions top pane after the reader has captured an image of a symbol with a symbology you expect to occur over successive images.

If you are only reading symbols of a particular symbology, clicking Train Code will prepare the reader for that symbology in all successive images until you click Untrain Code (you can find the Untrain Code button on the Symbology Settings pane as well).

After successful training, the Model Information for the trained symbologies will display the expected size for incoming symbols, and the Untrain Code button is enabled.

Training when I want to decode multiple symbols

The Setup tool allows you to train the reader to expect more than one symbology in applications where multiple symbols will be decoded.

If you have a single image showing all the expected symbologies, click Train Code on the Actions top pane to train the reader. The Model Information for the trained symbologies will display the expected size for incoming symbols, and the Untrain Code buttons for those symbologies will be enabled.

If you cannot present a single image showing all the expected symbologies, check Incremental Training and click Train Code for the symbologies that are present in the image. Then capture images of other symbologies you want to train for and click Train Code to add them to the existing set of symbologies the reader is trained to decode. With Incremental Training enabled, you can present and train new symbologies while the reader retains existing training parameters.

Train Orientation

Only for 1D, Stacked and Postal symbols, check Train Orientation to train the reader with the angle of the latest decoded symbol. Subsequent, decoding operations will be faster if the symbols appear at the trained angle.

NOTE: Postal codes can only be decoded if presented in picket fence position.

Return the reader to decoding symbols of any symbology after training

You must click Untrain Code for any trained symbology to allow the reader to decode any symbol regardless of symbology. Be aware, however, that the symbol must be enabled on the General tab for the reader to recognize it.

Manual Code Training

If you know all the parameters of the codes you are going to train the device for, you can provide these parameters under Manual Code Training. After all the parameters are given, tick the Is Valid box to train the code. You can untrain the code from now on by clicking Untrain Code above.


How do I change the output of non-printable ASCII characters to keyboard recognizable equivalents?

Go to the Non-Printing Characters pane under Communication Settings and check Enabled. You can also add non-printable ASCII commands before and after the converted string by enabling Standard Formatting and adding ASCII commands before or after the full string.


What are the different settings for UPC/EAN Properties?

  • Expanded enables decoding of expanded symbols.

  • Supplementals controls how the reader decodes supplemental codes.

  • Delete leading zeros deletes leading zeros from decoded strings.

  • Allow EAN8 Supplementals enables decoding of supplemental codes on EAN8 symbols.

  • UPCE1 Enabled enables decoding of UPC E1 symbols.


UPC/EAN Properties: What does the Expanded checkbox mean?

This is a Boolean to indicate whether the reported decoded string for UPC-EAN should be expanded to a 13-digit EAN13 format or transmitted in the standard UPC-E 6-digit format.

When checked (default), the decoded string is transmitted in 13 digit EAN-13 format (e.g. 0012345000065). When unchecked, the result is transmitted as <number system> + 6 data digits + <check character> (e.g. 01234565).


Application Details


What can I set in the Application Details step?

On the Basic tab, change trigger and exposure settings. For ease of use, a Trigger Assistant, an Interval Assistant, and an Exposure Assistant help you with these settings.

On the Advanced tab, further settings can be implemented in table view.


What are the trigger types?

Triggers that initiate a decode attempt either come from a source external to the reader or are generated by a timing mechanism internal to the reader itself.

Any of the following events signal the reader to perform a decode attempt when the reader is configured to respond to an external trigger:

  • Pushing the physical button on the reader

  • Sending the DataMan Control Command (DMCC) trigger when connected to the reader over a serial or Ethernet connection

  • Receiving a digital input signal over the trigger lines of the I/O cable

  • Clicking the Trigger button in the Setup Tool

  • Pressing Ctrl+T from the keyboard when the Setup Tool has the focus

You can configure the reader with any of the following trigger types in response to an external event:

  • Single triggering acquires a single image and attempts to decode any symbol it might contain. This trigger mode supports a read timeout.

  • Manual triggering acquires images as long as the trigger signal remains active, and stops when a symbol is found and decoded or the trigger signal ends. This trigger mode does not support a read timeout.

  • Burst triggering acquires a set number of images and decodes the first symbol it detects within the group. You can configure the number of images within each burst as well as the interval between each image acquisition. This trigger mode supports a read timeout. This timeout is the amount of time that will be spent on each image in the burst, and not on the burst as a whole.

  • Continuous triggering acquires images as long as the trigger signal remains active, where the reader acquires images at a specific interval and attempts to scan any symbols each successive image contains. If a symbol is decoded, the reader stops accepting the trigger signal. If no symbol is decoded, image acquisition continues as long as the trigger signal remains active. If the trigger signal ends and no symbol has been scanned and decoded, the reader returns a NoRead result.

    If you configure the reader to scan for multiple symbols, then the reader will not stop acquiring images after the first symbol has been scanned and decoded but continue to scan for symbols until the number of desired symbols have been detected or the trigger signal stops. If the trigger signal ends before the desired number of symbols have been located and decoded, the reader returns a NoRead result.

    You can control the interval between image acquisitions, and specify a delay between when the trigger signal arrives and when the reader starts image acquisition. In Continuous trigger mode, the trigger interval indirectly specifies a read timeout.

The remaining trigger types do not rely on an external event but begin acquiring images as soon as you select it:

  • Presentation triggering continuously scans for a symbol and decodes it each time one is detected.

    You can specify several parameters in Presentation mode, such as whether the reader will read the same code more than once or how long the reader must wait before scanning for the next symbol.

    In presentation mode, use the Automatic Exposure settings to have the reader determine the best exposure settings for a desirable level of brightness in the image. Be aware, however, that the reader uses the initial images it acquires to determine these settings, and might miss images containing a symbol for decoding. You can switch to Manual Exposure settings and specify a precise setting for the camera exposure.

    Be aware that during a decoding attempt for any particular image, all subsequent images acquired during that time are discarded.

    This trigger mode does not support a read timeout.

  • Self triggering is similar to presentation triggering in that the reader continuously scans for a symbol and decodes it each time one is detected. Unlike Presentation mode, however, a decode attempt occurs with every image and the reader disables the Automatic Exposure settings that allow the reader to automatically determine the best exposure settings for a desirable level of brightness in the image.

    You can specify several parameters in Self triggering mode, such as whether the reader will read the same code more than once or how long to wait before scanning for the next code. In Self trigger mode, the trigger interval indirectly specifies a read timeout.

NOTE: Several fixed mount readers have variants (S models, L models, etc.), and many of these only support certain trigger types. Please consult the appropriate Reference Manual to check what trigger types are supported by your variant.


What is the Select Trigger Input option?

In external trigger modes, click the Select Trigger Input option to navigate to the Inputs / Outputs pane. In the Inputs / Outputs pane, click the Inputs tab and select the input line for triggering.


Why do I see the Manual button disabled in system settings error message?

It is because the physical button of the reader was disabled to prevent the device from accidental triggering. To enable the button, navigate to the Inputs / Outputs pane, click the TRIG button tab, and uncheck the Disable Reader Button checkbox.


Trigger Assistant

You need to select the trigger type first for this assistant to work. Select the trigger source from the drop-down: Undefined, None or External. You get a recommendation from the assistant for the trigger modes. Graphical presentations of the trigger types help you decide. Select the chosen trigger type and click Save and Close.


What is the Trigger Assistant?

The Trigger Assistant recommends a trigger type based on a trigger source (Internal, External) you select. To use the Trigger Assistant:

  1. In the top left corner, select the Application Type.
  2. Click the Trigger Assistant.
  3. From the Trigger Source drop-down list, select a trigger source.
  4. You get a recommendation from the Assistant for the trigger modes. Graphical presentations of the trigger types help you decide. Select the chosen trigger type and click Save and Close.


What is the Interval Assistant?

The Interval Assistant, in Self and Continuous trigger modes, recommends a maximum interval time based on parameters you select.

First set the Application Type in the top left corner, and then click the Interval Assistant.

For In-Motion type applications, you have three options to calculate the necessary data. In the top right corner, select the units (standard or metric) you wish to calculate in.

  • Select Field of View Size to calculate the longest possible interval time by measuring the physical field of view and giving the maximum line speed and the size of the longest code.
  • Select Lens / Distance to Code if you want to give the distance of the code from the lens. Give the focal length and select the direction in which the code is travelling. Here you also need to give the maximum line speed and the size of the longest code.
  • Select Code Element Size to calculate with the size of the most narrow code element. Enable Test Mode to read your code. You also need to give the direction your code is travelling in, the maximum line speed and the size of the longest code.

At the bottom of the Assistant you get the recommended maximum interval time.

For Hand Presentation type applications, present your code(s) to the reader in the various positions you will read them. The Assistant analyzes the decode time data and recommends a maximum interval time.


Interval Assistant

In the case of Burst, Self and Continuous modes the Interval Assistant can help you make further settings. You can select three ways to calculate the necessary data. In the top right corner select the units (standard or metric) you wish to calculate in.

Click Field of View to calculate the longest possible interval time by measuring the physical field of view and giving the maximum line speed and the size of the longest code.

Click Lens / Distance to Code if you want to give the distance of the code from the lens. Give the focal length from the drop-down and select the direction in which the code is travelling. Here you also need to give the maximum line speed and the size of the longest code.

Click Code Element Size to calculate with the size of the most narrow code element. Enable Test Mode to read your code. You also need to give the direction your code is travelling in, the maximum line speed and the size of the longest code.

At the bottom of the Assistant you get the recommended maximum interval time.


How do I calculate the Interval value for Self and Continuous trigger modes?

The Interval Assistant helps you calculate this data. Click Interval Assistant for an easier and assisted way.

Because the Self and Continuous trigger modes can be used for moving applications, it is necessary to determine the correct interval time to capture the desired length of the part as it moves under the camera. The variables necessary for this calculation are:

  1. Line speed in mm per second

  2. Code size w/quiet zone in mm

  3. FOV = Field of View (x or y) in mm

You can then use the following equation to determine the approximate interval time:

Interval = 1000 * ((FOV – 2(Code Size)) / Line Speed)

The (2 * Code Size) variable allows for overlap of the frames taken. This takes into consideration the condition where the code is slightly out of the field of view in one frame (acquisition). The (2 * Code Size) will overlap the field of view between successive frames and allow the code to be viewed in the field of view of the next frame.


What is the Exposure Assistant?

The Exposure Assistant works for In-Motion and Hand Presentation type applications.

For In-Motion type applications, you can select Field of View Size, Lens/Distance to Code, and Code Element Size.

Select Field of View Size to calculate the recommended maximum exposure time by measuring the physical field of view and giving the maximum line speed.

Select Lens / Distance to Code if you want to give the distance of the code from the lens. In case your reader is not equipped with a liquid lens, give the focal length from the drop-down list, and select the direction in which the code is traveling. Enter the maximum line speed here. You can enable Test Mode to read your smallest code.

Select Code Element Size to calculate with the size of the most narrow code element. Enable Test Mode to read your code. Give the direction your code is traveling in and the maximum line speed.

At the bottom of the Assistant you get the current and the recommended maximum exposure time.

For Hand Presentation type applications, present your code(s) to the reader in the various positions you need to read them. The assistant analyzes the code size and sets the smallest element size.


How do Multiple Read Setups interact with the Timeout setting?

When Multiple read setups are enabled, the timeout affects each setup individually, and not all the setups as a whole. The result is that the total time spent on reading in one trigger cycle is the product of the number of enabled setups and the timeout.


Will further images be taken once a valid reading occurs?

No. Once a setup produces a valid image, the reader will no longer try additional setups during that trigger cycle. It will start decoding when it finds a valid image. Additional images are taken when readings in previous setups fail. The reader will try each enabled setup in a priority order, starting at the specified highest priority setup, and move on until a valid reading is taken.


My code reads twice if I trigger the reader again. Why?

The Re-Read Delay and Never Read Same Code Twice options only affect acquisitions made within a single trigger cycle. Triggering the reader will clear the timers and the last read code for Never Read Same Code Twice.


What is Never Read Same Code Twice?

The Never Read Same Code Twice option suppresses the reporting of the same code string twice in a row and within a single trigger sequence when enabled. It is available for all trigger modes, but is only valid in Multicode Reading, because the only way to get more than one code in a single trigger sequence is in multicode readings. If Never Read Same Code Twice is unchecked, the device re-reads and re-transmits the same code after the specified Code Re-Read Delay (in milliseconds).


How does Never Read Same Code Twice work in a Multi-Reader Sync system?

If Never Read Same Code Twice is specified in the Primary reader and the Secondary readers read the same code, the Primary reader considers all results and filters out duplicated reads regardless of their source.


What are Delay Mode and Code Re-Read Delay?

The Delay Mode option sets the code re-reading delay relative to either the first or the last read.

The Code Re-Read Delay (in milliseconds) option lets you specify the delay between read attempts. Specifying a non-zero value for this delay can help prevent data from overwhelming the device that is connected to your reader.


What is the difference between the After First Read and After Last Read Delay option?

The After First Read delay starts timing after the first time a given code is read, and the timer will not reset. This means that a code may be re-read if the reader is triggered in a multiple-image mode such as Continuous, and if the code is in front of the reader for an amount of time equal to or exceeding the Re-Read Delay.

After Last Read resets the timer every time a given code appears in an image. This means that the code will not re-read, as long as it stays in front of the reader. Only removing the code from the reader's field of view for a time equal to or exceeding the Re-Read Delay will cause the code to re-read.


What does Don't Reread Last N Codes do?

If used, the Don't Reread Last N Codes option prevents the device from reading codes that were read in the last "N" reads. You have to provide "N" in the box below, otherwise (if the number is 0), the option is disabled. The option applies to all read codes within one trigger sequence.


What is Motion Detection?

Motion Detection allows you to set up your device to switch into active Presentation or Self trigger mode for a period of time after it detects movement in the device's field of view.

Motion Detection settings become available only if the trigger type is set to Presentation or Self. When Motion Detection is enabled, the device is not taking images, but monitors the background if the scene in its field of view is in motion or not.

If it is in motion, the device actively acquires images as per Presentation or Self trigger mode. The Timeout setting allows you to specify the time period (in seconds) after which the device switches back to Motion Detection from active triggering, but this Timeout resets every time by motion or a good read.

With Motion Detection Sensitivity you can define the device's sensitivity to recognize motion. For example, if it is set to High, the device switches on active Presentation and Self trigger modes even if the amount of motion in the field of view was small.


How do I send a trigger from the keyboard?

Press <ctrl>-T (the Setup Tool window must be active).


Why is my DataMan returning multiple results in response to a single trigger?

This can happen when the hardware trigger input line is being used because the signal on the line is oscillating around its final value, and the reader interprets the oscillations as separate trigger signals. Increasing the Debounce Delay in the System Settings pane's Inputs tab can cause the reader to interpret all the oscillations as a single trigger signal.


What are the trigger delay and timeout values?

In the Trigger Settings group, you can set the Delay Type to either Time or Distance and specify the start and end of how many milliseconds or how many millimeters to wait before starting an image acquisition once the reader receives a trigger. Using a delay can be useful when you know the reader receives a trigger before the symbol is completely under the field of view. Only the Single, Burst, and Continuous trigger types support a trigger delay.

Single and Burst modes have Start Delay Time and Start Delay Distance, but no End Delay Time or End Delay Distance. Continuous mode has all delay types available.

The Timeout value specifies a fixed amount of time the reader will attempt to decode any symbol it detects. If the reader is unable to decode the symbol within this timeout period, it returns a NoRead status as if the image contained no detectable symbol. If no timeout is specified, the performance may suffer, as the reader will attempt to decode any code candidates in the current image before moving on to the next.


How do I adjust the image exposure?

In the Exposure group, select the Automatic Exposure setting to automatically determine the best settings for a desirable level of brightness in each image. You can use Maximum exposure settings as necessary for your production environment, or select Manual Exposure and set a precise exposure time in microseconds.

With Manual Exposure, you can click Optimize Brightness on the Result History pane to generate a fixed value for the exposure setting limited by the Maximum exposure value. The Maximum Gain Factor setting is used to set the target's maximum pixel brightness.


How do I determine the optimum parameters for the Burst trigger type?

Since a Burst trigger is ideal for moving applications, it is necessary to determine the correct burst size and interval in order to capture the desired length of the part as it moves under the camera. Once the interval time is determined, you can adjust the size of the burst depending on the length of the part. The variables necessary for this calculation are:

  1. Line speed in mm per second

  2. Code size w/quiet zone in mm

  3. FOV = Field of View (x or y) in mm

You can then use the following equation to determine the interval time:

Interval Time = 1000 * ((FOV – 2(Code Size)) / Line Speed)

Once the interval time is determined, the size of the burst can be adjusted depending on the length of the code to capture. The max object length in mm is:

Burst Size * (FOV – (2*Code Size))

The (2 * Code Size) variable allows for overlap of the frames taken. This takes into consideration the condition where the code is slightly out of the field of view in one frame (acquisition). The (2 * Code Size) will overlap the field of view between successive frames and allow the code to be viewed in the field of view of the next frame.


How do I set a longer burst length?

The maximum burst length you can specify depends on the resources available on the device. By default, the maximum burst length is 202 images, but you can enhance this by increasing the memory to store images captured by the reader. Increase the memory available for storing burst images by unreserving the image slots which are currently dedicated to image lift and by decreasing the size of the imager field of view. This can be done through the Image Size (Region of Interest) pane:

  1. Select the Image Size (Region of Interest) pane.
  2. Check the Imager FoV check box (in Single, Burst, and Continuous trigger modes) and reduce the size of the Imager FoV.

Once reduced, you can increase the Burst length parameter in the Application Details step.


How can I quickly turn on or off all of the reader's lights?

Right-click on the image displaying the LED lights. You can select the following:

  • All on

  • All off

  • North-South

  • East-West

Changes are immediately effective according to your selection.


When should I modify Maximum exposure?

Decrease the value of Maximum exposure when you have to read moving objects.


What does the graph show?

The graph shows the current score for each brightness level for each available lighting setup.


What are the colorful dots under Best Results?

The dots represent one set of results from the graph above.


Do I have to select an image from the tuned images?

When tuning is finished, the Setup Tool displays three or fewer candidates. The best one will be automatically selected and applied to non-volatile memory, but you can also select and apply any of the other candidates.


What happens if I want to use tuning in a multicode setting?

If you have more than one code in the field of view, tuning works only on one of the codes.


The message "Failed. Symbol not found." is displayed. What can I do?

Go to Symbology Settings and enable the symbology or symbologies you would like to decode.


Format Data


How does data formatting work?

On the Basic pane you can select what type of formatting you want to use.

You use the Standard pane to construct a customized output string using pre-defined building blocks on the individual symbology tabs:

  • The output string starts with whatever text you enter in the Leading Text field.

  • Select items from the lists in the General, Validation, and (when applicable, to the) Metrics tabs, and click Add to add them to the output string. To add a specific range of characters from the decoded data, click Set sub-string range, then enter the range of characters to add (such as 1-3,5,8,10-), then click on Sub-string in the list and click the Add button.

  • The output string also includes any text that you add to the Terminating Text field.

  • To terminate the entire string with a carriage return/line feed pair, check the CR/LF checkbox.


Why are there different tabs below the Standard tab?

You can specify formatting separately for different symbology types, or use the Universal tab to specify the data formatting for any decoded symbol, which has precedence over the tabs for specific symbology types.


How can I use both symbology specific and universal formatting?

The Standard Formatting pane uses the following criteria when using both symbology specific tabs and the Universal tabs:

  • Each individual result will pass through the symbology specific formatter, if enabled. Multiple results of the same symbology will be formatted separately with identical settings.

  • If the Universal tab is enabled, individual results will pass through the symbology specific formatter, if enabled, and then be augmented with the formatting rules on the Universal tab. For multiple results (on supported readers), results will be concatenated and separated by the chosen delimiter, with no extra delimiter at the end. The concatenated string will be treated as a single string for the remaining formatting rules on the Universal tab.

  • For multiple results, the order of results in a concatenated string is 1) Data Matrix 2) QR Code 3) 1D codes 4) Vericode 5) DotCode 6) OCR.

  • Any tokens added to symbology-specific formatting which are valid only for the overall decode process (such as decode time or trigger index) will report this global value.


What data is sent if Standard Formatting is not enabled?

The reader transmits the entire decoded string followed by a carriage return/line feed pair.


How can I send just the decoded data without a carriage return/line feed pair?

Enable formatting, add Full string to the output string, and make sure that the CR/LF check box is not checked.

To send only a carriage return, enter \r in the Terminating Text field.


What is Input String?

Input String is a formatting token that you can include as part of the reader properties in script based formatting or as a token of Standard Data Formatting. Please note that you cannot change any further properties of Input String in Setup Tool, its parameters are only available in DMCC.


How can I stop Excel from skipping cells?

By default, the reader appends a carriage return/linefeed pair after each transmitted code. When you use a keyboard connection to enter the transmitted codes into Excel, the carriage return/linefeed pair causes Excel to advance by two rows after each code. To prevent this from happening, configure the reader to send only a carriage return:

  1. Click on Standard Formatting.

  2. Specify the symbology you are using in the Symbology tabs.

  3. Check the Formatting Enabled box.

  4. Click on Full string in the General tab.

  5. Click Add.

  6. In Terminating Text, enter \r in the text field and uncheck the CR/LF box.


How do I output specific elements of the encoded data when Data Validation is enabled?

First, select the type of validation you need on the Data Validation pane. Enable Basic Formatting on the Basic tab of the Format Data application step. Select the Validation tab of the Standard tab and then add the desired data field(s) to the output string including the Enterprise Identifier, Serial Number, Part Number, Unique Item, and GS1 Application Identifiers.


What are the individual options in the General tab in the Data field of the Standard tab?

  • Sub-string: A sub-string of the characters encoded in the symbol. You must specify a range for the sub-string to use this option.

  • Full string: All of the characters encoded in the symbol

  • Decode time: The amount of time, in milliseconds, it took the reader to decode the symbol. This period of time does not include image acquisition, pending image processing, communication time and additional processing (for example, Data Formatting).

  • Trigger time: The amount of time, in milliseconds, between when the trigger was received and when the decode operation was complete

  • Symbology: The symbology of the decoded symbol

  • CR/LF: Carriage Return with Line Feed

  • TAB: A tab character.

  • SP: A space character.

  • Symbology Identifier: The symbology identifier as specified by ISO/IEC 15424:2008

  • Module Size: The width (or height), in pixels, of each module in the symbol

  • Code Position: The image coordinates of each corner of the decoded symbol

  • Code Orientation: The orientation of the decoded symbol reported in degrees. Clockwise rotations of the decoded symbol are considered positive changes in orientation.

  • Contrast: A value, between 0 and 1, to indicate the total amount of contrast within the decoded symbol. A high value indicates the light and dark modules in the symbol have a wide range of grey values, while a low value indicates the light and dark modules consist of similar grey values.

  • UEC: The amount of available unused error correction in the symbol. Error correction is a method of reconstructing or replacing data that is lost through symbol damage. A value of "100" is ideal. 1D Symbology always returns -1.

  • Input string: The received (serial or Ethernet) input string.

  • Filter time: The duration of filtering in milliseconds (ms).

  • Result source: The name of the device.

All of following values will increment whether or not the reader is connected to the Setup Tool.

  • Total Reads: The total number of decoded symbols

  • Total NoReads: The number of times a trigger was received but no symbol was decoded

  • Total Triggers: Total Triggers = Total Reads + Total NoReads + Total Missed Triggers

  • Missed Triggers: The number of missed triggers because no image buffer was available when the trigger was detected

  • Trigger Index: The total number of triggers detected by the reader.

Values that will be reset to 0 any time when either the Process Statistics is cleared on the Process Monitor pane, or after a reader reboot are the following:

  • Total Reads

  • Total NoReads

  • Total Triggers

  • Missed Triggers

Trigger Index will be reset to 0 only after a reader reboot, but not after clearing the Process Statistics.


How can I simulate Alt-key, Ctrl-key, or Shift-key combinations?

To use this feature, four escape sequences, \ALT-, \CTRL-, \SHIFT- and \K, are available. \ALT- is used for <ALT-key> sequences, \CTRL- is used for <CTRL-key> sequences, \SHIFT- is used for <SHIFT-key> sequences, \K for special keys. Note that the key after the backslash needs to be in capital letter, otherwise no special key combination is recognized.

The sequences are entered in the Leading/Terminating Text fields of the Standard pane.

Supported special keyboard sequences

The following format has to be used:

\ALT- followed by keyname followed by ;

or

\CTRL- followed by keyname followed by ;

or

\SHIFT- followed by keyname followed by ;

or

\K followed by keyname followed by ;

The terminating semicolon is necessary to be able to distinguish between sequences with the same prefix, otherwise key sequences could be interpreted arbitrary, e.g. there would be no means to detect if \KF11 means "press F11" or "Press F1 followed by a one".

Be aware that if these two escape sequences are entered on the Universal tab, they are applied on NoRead results also.

Supported Key Sequences and Keys

The following list contains the currently supported keys/key combinations:

  • ALT-A to ALT-Z

  • CTRL-A to CTRL-Z

  • CTRL-F1 to CTRL-F12

  • SHIFT-F1 to SHIFT-F12

  • F1 to F12

  • ALT-F1 to ALT-F12

  • PageUp, PageDown, Home, End, Arrow (up, down, left, right), Insert, Delete, Backspace, Tab, Esc, Print Screen, GUI (left, right) keys

    The escape sequences for these are:

    • PageUp -> \KPup;

    • PageDown -> \KPdn;

    • Home -> \KHome;

    • End -> \KEnd;

    • Up Arrow -> \KUar;

    • Down Arrow -> \KDar;

    • Left Arrow -> \KLar;

    • Right Arrow -> \KRar;

    • Insert -> \KIns;

    • Delete -> \KDel;

    • Backspace -> \KBksp;

    • Tab -> \KTab;

    • Esc -> \KEsc;

    • Print Screen -> \KPrtScr;

    • Left GUI -> \KLGui;

    • Right GUI -> \KRGui;

  • Pause output -> \KPAUSE;

Here are some examples:

  • To generate <ALT-V> sequence, use \ALT-V;

  • To simulate <F10> key pressed, use \KF10;

  • To simulate <Home> key pressed, use \KHome;

  • To enable/disable the status bar in notepad (<Alt-v><s>), the sequence has to be \Alt-v;s

If a wrong or incomplete sequence is used, the two characters which mark the escape sequence are ignored. In this case, the first two letters of the escape sequence are skipped and the remaining characters will be sent. For example the sequence "\ALT-M11;" is invalid and will result in displaying "LT-M11;"


How can I test my data formatting?

Use the Test button at the bottom of the page to test how the result will look like.

Scan a symbol and view the formatted result in the status bar. You can also select the Result History pane and then read a symbol. The Result History shows the results of the formatting you specified.


What is the Output Options feature?

The Output Options feature provides the ability for you to output your desired output data elements in different formats. As an example, if a comma is selected and you have selected to output the full string followed by the symbology type, the output would be the full data string followed by a comma, followed by the text ‘Datamatrix'. To test the different outputs, you can select a particular output type and then select the Test button to see the output in the adjacent display window. Note that if Data Validation is selected and a code fails the Data Validation, the output options feature will not be enabled.


Why is the Test button greyed out?

You can test your code only after the first successful decode.


Can I specify characters using hexadecimal or octal ASCII codes?

In the Leading Text and Terminating Text fields, you can specify characters as \nnn where nnn is the octal ASCII code. You can specify characters in hexadecimal by entering \xnn where nn is the hexadecimal ASCII code.

You can also use the following predefined codes:

  • \a Alert (ASCII 7)
  • \b Backspace(ASCII 8)
  • \E Escape (ASCII 27)
  • \f form feed (ASCII 12)
  • \n line feed (ASCII 10)
  • \t horizontal tab (ASCII 9)
  • \r carriage return (ASCII 13)
  • \v vertical tab (ASCII 11)
  • \\ backslash (ASCII 92)


What does the reader transmit when no code is read?

Normally, no data is transmitted by the reader if a code cannot be read. If you want to know that the reason why you do not see any output is because no data was read, you can specify a specific string up to 32 characters long by using the NoRead Output String in the Basic pane.


What is the Code Position result?

For Data Matrix symbols, the Code Position represents the reported location of the four corners of the symbol. The reader returns 4 pairs of coordinates:

  • The first pair represents the intersection of the finder pattern.

  • The second pair represents the intersection of the horizontal finder pattern and the vertical timing pattern.

  • The third pair represents the intersection of the timing patterns (diagonal opposite to the first pair).

  • The fourth pair represents the intersection of the vertical finder pattern and the horizontal timing pattern.

Cognex recommends you select a delimiter, such as a comma, to separate each value and make the result data easier to read.


DataMan X model readers only: How can I use Process Control Metrics for data formatting?

After you enable process control metrics on the Data Matrix Properties or QR Code Properties pane, you can use these on the Metrics tab of the Standard Formatting pane.

The metrics are also accessible through scripts. In case you have not enabled any process control metrics, they will return -1.


DataMan X model readers only: What does it mean when the reported Process Control Metrics are -1 or NA?

When the printing or image quality of the symbol is so poor that the process control metrics can not be measured with a reference decoding algorithm, the reported metrics will be -1 or NA. Improve the printing or image quality by using, for example, the Image Filtering functionality.


Which data formatting method should I choose?

You can use Basic Formatting (either Standard or Perl-Style) or you can write your own script in JavaScript on the Scripting pane's Data Formatting tab. The two methods differ in the following:

  • Basic Formatting allows you to drag and drop pre-defined data formatting elements.

  • Script-Based Formatting allows you to write a script which, in addition to formatting read results and data, is capable of making your reader perform operations such as beeping or pulling output 1 up.


What is the purpose of the Communication tab?

In this tab, you can edit your custom communication protocol script.


What are the limitations in Script-Based Formatting?

You are limited to two custom events and overwriting the system event in Script-Based Formatting.


Where can I find an example for a script?

You have the following options to insert a script to the Scripting pane's main window:

  • Click the Insert Snippet button on the top toolbar and choose the appropriate snippet from the list according to your needs.

  • Right-click anywhere on the main window and select Insert Snippet.... Click the appropriate snippet from the list according to your needs.

  • Press Ctrl-K, X

NOTE: If the Insert Snippet button is not active, the firmware version running on the device does not support snippets for the current script tab.


What is the purpose of the FTP Storage tab?

This tab is used for FTP filename generation of images and code quality reports.


How can I load my scripts?

You can access them by clicking the ribbon menu and then clicking the Open Script option. You can save your scripts with the Save Script button.

NOTE: Scripting only supports UTF-8 character encoding!


What is the Complete Word option?

You can complete words in your script by the following methods:

  • clicking the Complete Word button on the upper toolbar

  • right-clicking anywhere in the main window and selecting Complete Word

  • pressing Ctrl-K, W

You can then choose from a list of objects to insert into your script.


How can I quickly edit my script?

Use the Cut, Copy, or Paste buttons in the upper toolbar, or right-click anywhere in the main window and choose Cut, Copy, Paste, Delete, or Select All.


Why are all variables reset upon selecting System->Save Settings?

Whenever a script is changed and the focus of the editor is left, the script is transmitted to the reader causing a context invalidation of the script engine. A script context invalidation causes all variables to be reset.


DataMan X model readers only: How can I use Process Control Metrics for data formatting?

After you enable process control metrics on the Data Matrix Properties or QR Code Properties pane, you can also access them through scripts. In case you have not enabled any process control metrics, they will return -1.


How can I see errors in the device log using scripting?

Use the Throw() command to report the occurrence of an anomalous situation (exception) and the error will appear in the device log when the device is not connected to Setup Tool. You can access the error log by clicking, in the Setup Tool's menu bar, System, and then Show Device Log.

While the device is connected to Setup Tool, the exception appears below the the script on the scrip pane.


Where can I find more information about Script-Based Formatting?

For more information, see the DataMan Communications and Programming Guide, available through the Windows Start menu or the Setup Tool Help menu.


How do I set a delay in the code output?

To set a pause in the code output, the sequence \Pause<time>; can be added to the text fields in the Data Formatting pane.

<time> contains a value in milliseconds, for example, to wait 4 seconds, the sequence is \Pause4000;.

This feature can be used with USB HID or RS232. For RS232, the feature needs to be enable using the DMCC command COM.RS232-ENABLE-PAUSE. For USB HID it is enabled by default.


Why are there different tabs along the top?

You can specify formatting separately for different symbology, or use the Universal tab to specify the perl-style regular expression formatting for any decoded symbol.


Why is this pane grayed out?

To enable the ability to use Perl-Style Regular Expression Formatting, you must first enable Basic Formatting on the main Data Formatting pane for the particular symbologies your reader will decode.


How do I specify arbitrary text substitution?

Enter text in the Regular expression: text box. The syntax for the string is:

        /search/replace/g

where search is the string to search for and replace is the string to replace search with. By default, only the first occurrence of search is replaced. To replace all instances, add g at the end of the command.

For example, if the reader decodes this string:

        UPC 05214275600

You could replace the string "UPC" with the string "SKU CODE:" by using this substitution string:

        /UPC/SKU CODE:/

which would produce this output string:

        SKU CODE: 05214275600

You can enter multiple substitution pairs separated by a space. Multiple pairs are used sequentially: the result of the first pair is used as input for the second pair, and so on.


What does 'Discard unmatched data' mean?

By default, any text that is not part of the match string is passed through unchanged. If you check Discard unmatched data, then only the string resulting from the substitution is sent.


What special characters need to be escaped?

The following characters have special meaning in the search and replace strings:

            ˆ  . , (  )  [  ] $ \ / * + |

If you wish to include any of these characters in your search or replace string, you must precede them with a backslash character \. To include a backslash character, enter \\. To enter an arbitrary ASCII character, enter \xhh where hh is the hexadecimal character value (you cannot use \ooo to specify octal ASCII values).


How do I use a wildcard to match different characters or patterns?

You can match any single character, any character from a set of characters, any character from a range of characters, or any character that is not within a range of characters using these special characters in the search string:

. Match any single character

[abcd...] Match any single character from the set a, b, c, d ...

[a-z] Match any single character within the range of characters a through z (letters or numbers can be used)

To invert the sense of a wildcard using a set or range of characters, precede the characters with a ^ character.

To match a variable number of characters, append one of the following modifier characters to the character or wildcard being matched:.

+ matches one or more of the preceding character

* matches zero or more of the preceding character

? matches zero or one of the preceding character

{n} matches n instances of the preceding character

{n,m} matches at least n but not more than m instances of the preceding character

{n,} matches at least n instances of the preceding character

Here are some examples of wildcard matching:

/A.B/AB/g removes any single character between 'A' and 'B' in the input string

/A.*B/AB/g removes any number of characters from between 'A' and 'B' in the input string


Are there wildcards for matching special characters?

Use the following escape sequences to match special characters and character types:

\n a newline character

\w an alphanumeric character (letter or digit)

\W a non-alphanumeric character

\s a whitespace character

\S a non-whitespace character

\d a digit

\D a non-digit

You can use these characters in combination with the multiple-character matching wildcards listed in the previous item.


How do I anchor the search string?

Precede the search string with ^ to only match it at the beginning of the string. Precede the search string with $ to only match it at the end of the string.


How do I reuse part of the search string in the result string?

Enclose the part or parts of the search string that you wish to use in the result string in parentheses. You can refer to the enclosed strings in the result string using the tokens \1, \2 and so on.


Is there a maximum size for Perl-Style Regular Expressions?

The maximum size of the script entered in any one tab is 512 characters, but the symbology specific tab will run before the universal tab. If both are used concurrently a script of up to 1024 characters may be written.


Where can I get more information about Perl-Style Regular Expressions?

Here. Note that not all features described on that page are implemented by the reader.


Inputs / Outputs


Why are the 3 second button press action options greyed out?

You can choose trigger button press functionality only in Single, Burst, and Self trigger modes.

Note that the Test Mode option becomes active (i.e. can be selected) only if all other options above it (from Optimize Brightness to Set Match String) are unchecked.


What does the Disable Reader Button check box on the TRIG Button tab do?

If you check Disable Reader Button, the reader no longer initiates a read, a tune, or a train attempt when the pushbutton on the reader is pressed. Be aware that this feature does not disable the trigger button on the button bar of the Setup Tool or the serial trigger command.


What is Never Read the Same Code Twice?

The Never Read Same Code Twice option suppresses the reporting of the same code string twice in a row and within a single trigger sequence when enabled. It is available for all trigger modes, but is only valid in Multicode Reading, since the only way to get more than one code in a single trigger sequence is in multicode readings. If Never Read the Same Code Twice is unchecked, the device re-reads and re-transmits the same code after the specified Code Re-Read Delay (in milliseconds).


What actions can I configure if I press and hold the trigger button for 3 seconds?

In Single, Burst, or Self trigger modes you can set how the reader should react to pressing the button for 3 seconds. If you check more options, the functionality runs in the listed order.

Pressing and holding the trigger button on the reader for 3 seconds can:

  • Optimize the brightness in your acquired images, if these operations are supported by the current trigger mode

  • Read a Configuration Code from the Configuration Codes document

  • Auto-focus the liquid lens module if one is attached

  • Train the reader with the symbology you expect in successive symbols

  • Set a match string if you are performing match string validation

  • Put the device into Test Mode

Pressing and holding the trigger button is the same as using the trigger button on the button bar of the Setup Tool.


What does the Disable Reader Button check box on the TUNE Button tab do?

If you check Disable Reader Button, the reader no longer initiates a read, a tune, or a train attempt when the pushbutton on the reader is pressed. Be aware that this feature does not disable the trigger button on the button bar of the Setup Tool or the serial trigger command.


What does each input line action do on the Inputs tab?

Use the Input line action settings to configure what action the reader will take. By default, the reader does not respond to a signal over input line 1, 2, or 3. Only Input lines 0 and 1 can be used for the trigger signal.

The Input line actions Train Code, Optimize Brightness, Train Match String, and Read Configuration Code are carried out only after the next trigger.

You can configure the reader to take any of the following actions:

  • Trigger On and Trigger Off are enabled by default on the same input line. Trigger Off is automatically the inverse of Trigger On. If you put the two signals on separate lines you can set the polarity independently as it suits your needs.

  • Encoder means that you connect your Encoder to this input line.

  • Train Code means that the reader is trained with the expected symbology, which can decrease the time required to decode successive symbols.

  • Optimize Brightness means that the reader finds the best possible light and imager settings to read a code.

    NOTE: Optimize Brightness does not work if one RoI dimension is smaller than 144.

  • Train Match String means that the decoded code will be the one against which successive codes are matched and validated.

  • Optimize Focus (for readers with liquid lens only) means that the reader finds the best possible focus settings to read a code.

  • Read Configuration Code means that the reader should consider the code to be read not as an image but as a configuration command, thereby decreasing trigger count and not producing a NoRead image.

  • Tune means that the reader finds the best possible settings to read a code.

    NOTE: Tune does not work if one RoI dimension is smaller than 144.

  • Allow Buffered NoRead Images means that you can buffer even NoRead images if you want, for example, to see why you had NoRead images.

  • Clear Outputs means that if this action is set, all outputs are reset immediately if the input gets triggered. This option does not reset any output delay settings.

    NOTE: If Clear Outputs is set for one of the inputs, and a Read action is set on the Outputs tab for one of the outputs and the Pulse Width width for this output is set to a non-zero value, the output will still be on until the end of the set pulse width time whether or not the input is activated within the set pulse width time.

  • Polarity means that if polarity is set it causes a change in signal that triggers an image acquisition

  • Debounce Delay means that it is defined how long the trigger signal must be detected in order to be recognized as valid.


What Trigger Detection settings can I change?

Use the Polarity option to set the change in signal that triggers an image acquisition.

Use the Debounce Delay text box to define how long the trigger signal must be detected in order to be recognized as valid. Use a shorter value to compensate for ESD line noise and higher values to compensate for noise in electromechanical relays. You might have to experiment with the setting to choose the most appropriate value for your production environment.


What debounce time can be set?

The shortest debounce time is 0. Increasing numbers mean an increased debounce time. The maximum value is 6.


What settings can I configure on the Outputs tab?

The Outputs tab lets you configure the behavior of all output lines available to the reader. For any line you can configure the event and action of the output line.

For the NoRead condition, you can also specify a specific string to transmit when a code cannot be read.


When does the selected action take place?

When the checkbox is selected, the action assigned to an input does not occur immediately after activating the input. It takes place only when the next trigger is performed.


What is the Allow Buffered NoRead Images option?

When this input is active and connected to, for instance, a package detecting sensor, even though buffering might be applied for all images, the NoRead images will only be buffered when the sensor raises a signal to the particular input. As a result, the reader will only buffer NoRead images when the sensor actually detects a package. This option only works in Continuous trigger mode.


How can I set the Beep length for good reads?

Check the Enable Beeper on Good Read option on the Outputs tab. Then set the Beep Length to a value between 0 and 50 ms.


What can I use the Light Ring Pulse Duration setting for?

For readers with a light ring, the duration of the light ring’s illuminated state can be specified here in milliseconds.


How do I generate a Validation Pass event?

If data validation is activated, the Read event only gets signaled if a code was read and validation passed. With Read and NoRead events assigned to two outputs the following logic applies:

  1. good read, validation pass: Read output

  2. good read, validation failure: no output

  3. bad read: Bad Read output

Alternatively, you can assign the Validation Failure event to an output.


How do I know what the error light means on the device?

Select System->Show Device Log and check the log for this information.


How can I reset my reader?

Scan the Reboot Scanner command printed on the back of the Quick Reference Guide to perform a soft reset. The reader's nonvolatile memory is not cleared, but the reader is shut down and restarted.

Scan the Reset Scanner to Factory Defaults command to return the reader to its factory-default state.


Can I close an output line for an indefinite period of time?

You can close an output line indefinitely by specifying a pulse width of 0 milliseconds, but be aware that any event that triggers this output line will cause it to remain closed until you cycle the power to the reader or clear outputs with a discrete input setting.


What is Open and Closed in the Action field?

The open or closed state means the state of the relay. If an Event happens from the list above, the output can be open or closed. For example, if a Read event happens, in the case of Closed, the output 0 will become output 1. Also, you can close an output line indefinitely by specifying a pulse width of 0 milliseconds, but be aware that any event that triggers this output line will cause it to remain closed until you cycle the power to the reader or clear outputs with a discrete input setting.


Why are all the options on a particular output column disabled?

The options are disabled if you check Strobe, which uses this reserved output line in any active read setup.


What is Trigger Overrun?

Trigger Overrun means that the image could not be acquired because the camera was busy (for example, due to an ongoing burst or a long exposure).


What is Buffer Overflow?

Buffer Overflow means that it would be possible to acquire an image, but there is no space left to save it. In other words, images are acquired faster than they can be processed. One possible situation is when decoding takes longer than what the image/trigger interval is.


What does the reader transmit when no code is read?

Normally, no data is transmitted by the reader if a code cannot be read. You can send a specific string up to 32 characters long by specifying a NoRead string. Click on the System Settings node, then under the Outputs node enter the string in the NoRead Output String field and press <Enter>.


What does the reader transmit when no code is read?

Normally, no data is transmitted by the reader if a code cannot be read. You can send a specific string up to 32 characters long by specifying a NoRead string. Click on the System Settings node, then enter the Outputs node enter the string in the NoRead Output String field and press <Enter>.


What is the Strobe option?

You can reserve an output for external illumination by checking Strobe on one of the output lines. You can also configure polarity by choosing Open or Closed in the appropriate Outputs column.


How can I set Output Delay?

You can specify the output delay time and set it in ms. You can also specify the output delay relative to Trigger Start or Trigger End.

Note: If the Output Delay is shorter than the reader needs to acquire an image and decode for any results, Setup Tool may not receive result images from the reader.


How do I use both Output Delay and Trigger Delay?

Both triggers are relative to the physical trigger edge and not to the delayed start of the image acquisition (if trigger delay is set).


Why is Output Delay not possible to set?

You can only set Output Delay in Manual, Single, Burst, and Continuous trigger modes.


Which digital output lines are affected by output delay?

All actions based on the following events:

  • read/NoRead

  • validation failure

are delayed. The following output lines are affected:

  • setting of any digital output

  • any data transfer through RS-232, Ethernet or USB

  • lighting of the LEDs

  • sounding the beeper


What is the Distance to output?

When using a pulse encoder, you can specify the distance to the output and map the pulse to the distance. The distance to output value is corrected based on the value of the resolution (it is adjusted to the closest multiple of resolution rounded to millimeters).

On the Output Delay tab, use the distance to output (mm) control to set the distance from trigger to when the result is output.

On the Pulse Encoder tab, use the resolution (mm) control to define the resolution.


What is the Pulse Encoder?

For external trigger modes, you can use an encoder to control the timing of the data string output. Typically encoders are installed on a conveyor belt and as the conveyor belt moves, the encoder shaft will rotate and output electrical pulses to indicate its angular rotation. The amount that the encoder rotates is directly proportional to the distance traveled by the conveyor belt.

Connect your encoder to Input lines 1 or 2. The input line you choose will be exclusively used by the encoder. For any other action, please select another input line.

You can also connect an encoder to a Primary reader in a Multi-Reader Sync group.


What settings can I make for the Pulse Encoder?

You can specify the distance to the output and map the pulse to the distance. The distance to output value is corrected based on the value of the resolution (it is adjusted to the closest multiple of resolution rounded to millimeters).

On the Output Delay tab, use the distance to output (mm) control to set the distance from trigger to when the result is output.

On the Pulse Encoder tab, use the resolution (mm) control to define the resolution.

Also on the Pulse Encoder tab, if you enable Double Rate, your encoder will count both edges on the Input line. Note that the encoder duty cycle has to be 50%. If you disable Double Rate, the encoder will count only the selected edge.


Why would I change the name of the device?

You can give the device a more meaningful name for your production environment, such as the location or the inspection task.


What can I add to the description of the device?

Device description is a freely editable text field where you can add notes to the device or important additional information.


How do I change the name of the device?

To change the name of the device:

  1. Enter a new name for the device in Device Name.

  2. The question "The changes made require reboot to take effect. Apply changes and reboot now?" pops up. Click Yes.

  3. If, for any reason, you click No, you can still apply the changes. Choose System->Save Settings and then reboot your device.

The next time you start the Setup Tool or click Refresh in the Home screen, it will reflect the new device name.


What can I set with the Error LED Pulse Duration setting?

You can move the slider to the desired millisecond that is used to determine how long the Error LED pulses on fix mount devices. Error LED are found on the top of the device. Setting the slider to '0' causes the red error LED to turn off if the device log is retrieved, while every value above '0' causes the red error LED to turn off automatically after the selected time is expired.


What is a Wake-up Message?

If Output Diagnostic String on Wake-up is enabled, the reader transmits a diagnostic string whenever the reader starts up.

For Telnet connections the readers transmits the diagnostic string with each new connection. For serial connections, the baud rate is automatically set to 38,400 when the message is sent, regardless of the settings made in the Setup Tool.


Communications


Can I use a serial trigger command that is longer than one character?

The Trigger ON and Trigger OFF commands support a character limit with a resulting sequence that may have, at most, 32 bytes. Depending on how many escape sequences you use this means that the valid length of the acceptable string can vary between 32 characters (no escape sequences) and 128 (32 * 4-char escape sequences [e.g. \002]) characters.


What does enabling Echo Commands do?

When enabled, Echo Commands will echo back the commands you send to the reader as soon as the command, delimited by the Command Header and Command Footer strings, is received.


Why am I not able to try my trigger command or echoing commands in a terminal program?

Custom commands are provided to be used by a PLC or similar device and not intended to be manually entered. The inter-character delay is set to a small value, roughly 50 ms, so that slow typing of a custom command will be not recognized past the first character. A Trigger ON or Trigger OFF command greater than a single character must be sent as a string from another application.


What can I set in the Communications application step?

On the three tabs of the Communications application step, serial and ethernet settings can be implemented. Click the appropriate tab to enter your setting values.

On the Advanced tab, further settings can be entered in a table view.


How do I change the reader's serial port settings?

On the Serial tab of the Communications application step, enter the new settings. You can also scan the Configuration Codes document (available through the Windows Start menu or the Setup Tool Help menu).


What is the Multi-Port (RS-232 Sharing) Feature?

This connection mode allows multiple DataMan readers (of the same type) to share a single serial connection on a PC or other device equipped with a serial port. A multi-port connection creates a daisy-chain of readers. Each reader receives serial data from the previous reader and transmits it to the next reader. When a reader transmits data, it is passed through each of the readers in the chain between it and the PC.

You must construct your own cable that meets the requirements of your system configuration. The cable must provide a DB-15 connector for each DataMan device and a DB-9 connector for the PC serial port. Each DB- 15 connector must provide Tx Data, Rx Data, Trigger (Input 0), ground, and DC power. The Tx Data and Rx Data pins on adjacent connectors must be connected to provide the multi-port connection.

You must connect each DataMan device to DataMan Setup Tool using a USB connection and set the DataMan for multiport operation. To configure a device for multi-port operation, click on the Enable Multi-Port (RS-232 Sharing) check box.

For more detailed information on Multi-Port, consult the Multi-Port Connections chapter in the appropriate Reference Manual. The Multi-Port sharing feature has the following behaviors and limitations:

  • Each reader in the chain can still be connected to the PC or other device through a USB connection.

  • Each reader in the chain must receive its own trigger signal. The DataMan does not support serial triggering.

  • Each reader in the chain must be configured separately.

  • All data from each reader arrives unsorted and unfiltered to the PC or other device.


How do I configure the network settings of the reader?

If you are using a wireless DataMan 8000 reader, configure network settings on the base station. If you are using a tethered reader, use the Network tab to configure network settings.

Select the Use DHCP Server option to have the reader assigned an IP address by a DHCP server (if one is available), or enter the network settings manually. Contact your network administrator for an appropriate value.

When you change the settings, the question "The changes made require reboot to take effect. Apply changes and reboot now?" pops up. Click Yes. If, for any reason, you click No, you can still apply the changes. Choose System->Save Settings and then reboot your reader.


What is the Copy PC Network Settings option?

Click the Copy PC Network Settings button when you want to configure your DataMan device to reside on the same subnet as your PC. Choose the network you want to use and the settings will be copied in the Use Static IP Address window. NOTE: Remember to update the IP address of your DataMan device. The IP address that is copied belongs to your PC. You have to reboot the device in order for the changes to take effect.


What does the Inter-character delay setting do?

The setting applies the provided milliseconds as delays between each read character in keyboard/character read mode. This becomes useful when some read characters are lost due to the speed of the subsequent readings.


Industrial Protocols

EtherNet/IP protocol

To enable the reader to use the Ethernet/IP protocol, check EtherNet/IP in the Ethernet tab's Industrial Protocols box.

"The changes made require reboot to take effect." is displayed on the right side of the Communications banner. Click Save Settings and then reboot your reader.

PROFINET protocol

To enable the reader to use the PROFINET protocol, check PROFINET. You can enter the name of the station by clicking the Use Name of Station box.

"The changes made require reboot to take effect." is displayed on the right side of the Communications banner. Click Save Settings and then reboot your reader.

SLMP Protocol

To enable the reader to use the SLMP protocol, check SLMP Protocol, then set the parameters as needed.

"The changes made require reboot to take effect." is displayed on the right side of the Communications banner. Click Save Settings and then reboot the reader for the setting to take effect, either by toggling power to the reader or by scanning the Reset symbol.

Modbus TCP

To enable the reader to use the Modbus TCP protocol, check Modbus TCP, then set the parameters as needed.

"The changes made require reboot to take effect." is displayed on the right side of the Communications banner. Click Save Settings and then reboot the reader for the setting to take effect, either by toggling power to the reader or by scanning the Reset symbol.

EtherNet/IP, PROFINET, SLMP Protocol, or Modbus TCP selection grayed out

Only one Ethernet industrial protocol may be used at a given time. When one protocol is selected, the other is unavailable.


Status field under Industrial Protocols

The Status field of the industrial protocols displays the last logged message of the status dialog. The message will remain displayed until another message is logged. If no industrial protocol is enabled, the status field remains blank.

Status messages vary by protocol, and some protocols do not log any messages. See the DataMan Industrial Protocols Manual for detailed information on messages and protocols that display them.


Modbus TCP: Idle Timeout setting

Idle Timeout is the amount of time that a port is held open with no outgoing traffic. Once the reader opens a connection to an FTP server, the reader keeps that connection open as long as traffic occurs.

If no traffic occurs for the set Idle Timeout period, the connection is closed. This can be useful if an FTP transfer only happens seldom and the network overhead for keeping the connection open is not desired.

You need to enable Modbus TCP first to be able to set the idle timeout.


How do I use the Authenticate option?

When Authenticate is enabled, the Setup Tool will prompt the user for a password to the admin account when any attempt is made to connect to an available reader or base station over the network.


How do I establish a TCP/IP connection?

The reader allows TCP connections to port 23, which is the default TCP port for Telnet applications. If you use a Telnet client, the only parameter you will have to provide is the reader's IP address. If you are using another application or SDK to connect, make sure that it uses the same TCP port setting as your reader does. The TCP port can be changed on the Telnet pane. The reader will automatically send code output over this connection. You are able to transmit DataMan Control Commands (DMCC) over this connection as well.

When you change the Telnet port, the question "The changes made require reboot to take effect. Apply changes and reboot now?" pops up. Click Yes. If, for any reason, you click No, you can still apply the changes. Choose System->Save Settings and reboot your reader.


What is Network Client?

The Network Client behavior is a means for the DataMan ID Reader to actively open an Ethernet connection to another device on the network. Once open, the connection will have the same basic operational behavior as the DataMan Telnet connection; it can produce read results (transmit results to the external device) and it can act as a DMCC server (process commands received from the external device).


What is a Host?

The host is the device on the network to which the DataMan will connect. Specify the Ethernet address and port number of the host device. The address can either be a fully qualified domain name (e.g “server.mynetwork.com”) or a dot-decimal format IP address (e.g “192.169.0.1“).


What is a Client Port?

The client port is the Ethernet port on the reader from which the client connection will originate. The default value of 0 instructs the Network Client to use any available port. In special cases you may need to define a specific client port. Simply set the client port to the required value. Note that the most typical case is to use the default value of 0. If in doubt, use the default value.


How do I make a connection?

The client will connect based on the chosen Open Connection option. The available options are to connect when the DataMan powers up or to connect as soon as there is data activity (i.e. connect when a code is read).


How do I shut down the connection?

There are two available Close Connection options. The connection can either stay open forever or the connection can shut down after data transfer is completed. If you choose the After reader data transfer option, you can also set a number in seconds after which the connection shuts down if the reader is idle for that period of time. The length of the idle period is adjustable from 1 to 3600 seconds.


What is the Connection Timeout?

The connection timeout is the amount of time (in milliseconds) that the DataMan will wait for the connection to open. Note, if the on power-up connection option is chosen, the reader will continuously retry opening the connection.


What is the Reconnect Delay?

This is the amount of time (in milliseconds) that the reader will pause before attempting to re-open a connection.


What is the Non-Printing Characters feature?

Normally, the raw values for non-printing characters are transmitted when the reader is configured for COM communications. These values are not visible at all when the reader is configured in keyboard wedge configurations. You can configure the reader to convert non-printing characters into sequences of keyboard printable characters such as <CR> by enabling the Translate Unprintable Characters feature.


Which Non-Printing Characters are converted?

Eight-bit ASCII character codes with values of 0x00 through 0x1F and 0x7F are converted when Translate Unprintable Characters is enabled. The characters are mapped to a the ASCII character name, as listed here:

0x00 <NUL>

0x01 <SOH>

0x02 <STX>

0x03 <ETX>

0x04 <EOT>

0x05 <ENQ>

0x06 <ACK>

0x07 <BEL>

0x08 <BS>

0x09 <HT>

0x0A <LF>

0x0B <VT>

0x0C <FF>

0x0D <CR>

0x0E <SO>

0x0F <SI>

0x10 <DLE>

0x11 <DC1>

0x12 <DC2>

0x13 <DC3>

0x14 <DC4>

0x15 <NAK>

0x16 <SYN>

0x17 <ETB>

0x18 <CAN>

0x19 <EM>

0x1A <SUB>

0x1B <ESC>

0x1C <FS>

0x1D <GS>

0x1E <RS>

0x1F <US>

0x7F <DEL>


What happens if I Enable Translate unprintable characters?

This parameter only affects the actual code content. Any additional formatting like header and footer are not touched. This is to preserve the ability to use control characters in combination with this parameter, for example, to be able to insert line breaks between codes or to navigate to the next cell in a spreadsheet.


What is transmitted when a code contains non-printing characters?

Normally, the raw values for non-printing characters are transmitted. You can configure the reader to convert non-printing characters into sequences of printable characters such as <CR>. Go to the Non-Printing Characters pane and check Enabled.


Repair and Support


What is Repair and Support?

The Repair and Support page can be used to set the network settings of a misconfigured network device or change the HID mode of a serial device to CDC.


What is the Refresh option good for?

Click the Refresh button to refresh the list of available devices.


How can I add a network device to the list of displayed devices?

You can add a network device or edit the IP address of an already added device by clicking Add Network Device. The Add Network Device dialog opens, where you can provide the IP address of the device. Click OK to save the changes and the device will show up also on the Connect page.


How can I edit the properties of a device?

Select a device from the list of devices to see the available options. In the opening pane, you can edit the network settings belonging to the selected device and set an authentication option as well. Click Apply to save the changes.


What can I use the Export icon for?

Clicking the Export Cognex Support File icon initiates Cognex Support File generation, which generates a .zip file containing a collection of preset data logs. This feature is only available if at least one device is selected.

Clicking on the button pops up a dialog box where you can specify the data types to be included in the support .zip file in a list of checkboxes:

  1. Cfg

  2. Cdc

  3. Last image

  4. Discovered devices

  5. Device statistics

  6. Memory statistics

  7. User comment (can be manually edited by the user)

The destination folder of the support file can be modified using the '...' icon. You can select to open the containing folder after the file generation or send it as an attachment with the default email client (.eml).

The output of the process is a .zip file. The file name contains the device name and the date of creation. An additional descriptor.xml in the zip contains the following data:

  1. Date

  2. Discovery ID

  3. Device name

  4. Device type

  5. Serial number

  6. MAC address

  7. Feature Keys

  8. Communication interface

  9. Firmware version

  10. List of files present in the zip


What does the Add Virtual Device button do?

This function allows you to create a virtual device based on either a custom configuration file or a device with default configuration. This can be used to look at different panes in Setup Tool without the need of a device to connect to. Pressing the button initiates a wizard that guides you through the steps of creating a virtual device. Initial options are to use a configuration/backup file for creation or use the factory default settings.

After the wizard is finished, a new virtual device is added to the list of discovered devices, indicated by an icon as a virtual device. The created virtual device is not visible for other devices on the network. The virtual device persists during multiple Setup Tool instances.

The created virtual device can be connected to the same way as a regular device, except that all configuration changes are rejected (everything is read-only) and no features, functions, and actions work on virtual devices.


What is the Copy PC Network Settings option?

When you select a device under Network, the Network Settings box appears on the right.

Click the Copy PC Network Settings button to copy the network settings of your PC and save time and effort to find out your PC's subnet mask and default gateway. Note that when the IP address is copied, it is your own PC's. The red rectangle around the IP address reminds you to manually update this field to the DataMan device's IP address.


Backup


How can I use the Backup function?

Using this function, you can generate a backup file containing the configuration and logs of one or more readers by clicking the Backup button in the lower right corner (or pressing Alt+B). This feature is only available if at least one device is selected.

Clicking the Open Backup Folder button navigates to the folder where the backup files are placed. You can set the folder under Home->Options->Backup Location.

If multiple devices are selected, each device generates a backup file. Each backup file is put in a subfolder that matches the name of the device. Backup file name contains the device name and date of generation.

The backup file is a .zip file with a .dmb extension. The file contains: config.cdc, config.cfg, and descriptor.xml. The xml contains the following data:

  1. Date

  2. Discovery ID

  3. Device name

  4. Device type

  5. Serial number

  6. MAC address

  7. Feature Keys

  8. Communication interface

  9. Firmware version

  10. List of files present in the zip


Where can I set the backup folder for the Backup function?

You can set the folder under Home->Options->Backup Location


Restore


How can I use the Restore function?

The Restore function allows the restoration of backed up configuration files on one or more devices. This feature is only available if at least one device is selected and if a valid configuration source is specified.

Under Configuration Source at the top, you can specify the source Setup Tool will use for restoration:

  1. Configuration File: When selecting this option, Setup Tool uses the specified configuration file for restoration. Click the '...' icon to specify the folder containing the backup file you wish to use. See Q and A under Backup for more information on how to set the folder.

    Note: The Restore button only becomes enabled when a compatible device is selected as a target.

  2. Device: When selecting this option, Setup Tool uses a specified single device to restore its configuration to all target devices.

  3. Latest Backup: When selecting this option, Setup Tool searches for the latest backup for the device selected. If multiple devices are selected, all devices get their own latest backup.

  4. Factory Defaults: When selecting this option, Setup Tool restores its configuration to factory defaults.

After the source is selected, as well as a target device (or devices), click the Restore button in the lower right corner.


How does the Restore with Network Settings drop-down button work?

Restore with Network Settings works the same way as the Restore button, but it restores the configuration from the .cdc file contained in the backup folder instead of the .cfg file. This option is only enabled if a .cdc is available in the specified source, and the target selection contains a single device.


Update Firmware


How do I update reader firmware?

After connecting to your reader, select System->Update Firmware..., then select the firmware file.

Note: Firmware files are supplied as compressed archives. The firmware must be uploaded in its compressed form; do not attempt to uncompress a firmware file before uploading it.


How do I use the Update Firmware function?

This function updates the selected device or devices to the desired firmware version.

  1. Select the device or devices you want to update from the device list.

  2. Browse for firmware files by clicking the '...' icon. If a single device is selected in the device list, the appropriate firmware folder for that device is opened. If multiple devices are selected, but they have the same firmware device ID, the appropriate folder is opened. If no device is selected or more devices are selected, but they have different firmware device IDs, the root firmware folder is opened.

  3. Click the Upload Firmware button. The button is enabled only if the selected firmware version and device selection is compatible.

  4. In the window that pops up, check Backup device before firmware update if you want the Setup Tool to back up configuration files the same way the Backup function does (see Backup Q and A for more details).

  5. Click Yes to start uploading the new firmware.

Note: In case of serial devices, you need to discover them first by manually refreshing before being able to update firmware.


Compare Configuration


Compare Configuration: General Layout and structure

Compare Configuration is a table view style tool used to set, copy, compare, or restore device configurations. The main area of the document page contains a grid with the properties of the device that was selected before initiated on the Connect to reader page.

Each Setup Tool document type uses its own connection. In case of serial communication, only one connection can be open at a time.

The header row displays the selected device name or names. The second header row below the first displays the available setups for the device. The row headers below (in bold) can be collapsed or opened by clicking the icon next to them. When a device is disconnected, a reconnect icon appears in its header row.

Settings that are not read setup dependent are only displayed in the first column (Main Setup).


Compare Configuration: Controls (Mouse and Keyboard)

Selection:

  • Mouse: Clicking on a cell in the grid selects it, which hightlights the row header of the cell and the column header(s) where the device and setup belong. The menu buttons and items in the ribbon menu can change in line with selection. If the selected cell is in the row of a header row, all cells in the current column that belong to the header are selected.

  • Keyboard: Cursor movement keys navigate the selection to the appropriate cell. The highlight and selection behavior is the same as by mouse.

Adding/changing values:

  • Mouse: For cells with embedded editors, clicking on the editor control (combo box, checkbox, numeric up-down) allows the input of values. For cells with custom editors (the '...' icon), a pop-up editor opens, allowing value input.

  • Keyboard: For cells with embedded editors, pressing Enter or F2 initiates edit mode, Esc cancels editing, and a second Enter confirms editing. Values can be entered in the selected text without entering edit mode, in which case the current value is overwritten at the first keystroke.

    For numeric cells, in addition to embedded text editor cells, the up and down arrows increase and decrease the value.

    For drop-down cells, Enter initiates edit mode and shows the drop-down items, while up and down arrows move the selection. A second Enter applies the selected value and Esc cancels editing.

    For checkbox cells, use Space to toggle checked/unchecked states.

Copying and Pasting:

Use the keyboard combinations Ctrl+C and Ctrl+V for copying and pasting, respectably, see the copy-paste description of the related ribbon menu items for more information.


Compare Configuration: Ribbon Menu

The ribbon menu can be found above the table view style grid. Its contents and active icons may change in line with the selection of cells, rows, or columns in the grid. The menu is separated into several groups.

  • Device: Settings in this group are related to devices and their configuration files. Use the Add Device... button to open up a dialog box where one or more device can be selected to be added to the comparison. The Add Config File... button opens a wizard where you can browse for a config or backup file (.dmb,.cdc,.cfg). If the selected file for the device does not contain all the required information, the missing parameters must be set, otherwise, default options are automatically selected. The same applies to cases where the virtual device database can not match parameters to the options available (for example, matching firmware version is not found).

    Note: Added virtual devices are read-only, as marked by the padlock icon in their header row.

    Clicking the Remove Device button removes the device(s) currently selected (the one that contains the currently selected cell(s)). Reboot Device reboots the selected devices. Persist Config on Device saves the configuration file of the selected device into its flash memory. Use Reset Factory Defaults to reset the selected device(s) to their defaults.

  • Editing: Use Copy (or Ctrl+C on the keyboard) to copy a value from the currently selected cell. Paste can only be used in the same row or in any text editor. Reset Values is used to reset the value(s) of the selected cell(s).

  • Highlighting: Buttons and settings in this menu group provide options to highlight specific cell backgrounds. With the Non-Default Values setting, cells that have non-default values are highlighted (this may be different in a single row for different devices or read setups). The Difference to Reference setting highlights cells that have different values from the cell in the same row of the reference read setup (and device). The third setting is selected, all values and headers are highlighted that contain the text specified in the textbox. Additionally, the contained text itself is highlighted with a different text background. Pressing Enter applies the function of the Show Highlighted Rows Only button as well.

    When enabled, Show Highlighted Rows Only collapses all nodes that do not have any sub-node that is highlighted. When activated, the Set Reference Read Setup specifies the read setup (and device) that is used as a reference when the Difference to Reference highlighting mode is used. When the button is active, the currently selected cell’s column (read setup) becomes the reference setup. The current reference setup is marked in the setup name header row.

  • Filtering: Set Read Setup settings to see only settings that are read setup dependent. Set Global settings to see only settings that can not have different values in different read setups. Set All settings to see all settings at once. If an entry has values in more read setups, they are visible in different columns.

  • Other: Use Expand All Rows to expand all the rows that have been collapsed in the grid. Use Collapse All Rows to collapse all expanded rows in the grid. Reset Layout recalculates the column widths to use up all available space. If the available space is not enough, a minimum column width is applied.


Compare Configuration: Compare Editor

Compare Editor opens for every Scripting item in the Compare Configuration table view (in any of its sub-category) after you click on the '...' icon. After it opens, you can see the script source of the device that the Compare Editor was opened on.

By clicking Default, the script reverts to the default script for the particular device. By clicking Compare, the default script appears on the second device appears on the right, but the drop-down menu on top can be used to change which script is compared to the one on the left. A Refresh button appears in the middle between the tabs (red, circular arrows), which can be used to refresh all script texts.

Clicking Close closes off the comparison and moves back to the table view inside Compare Comparison.


Image Window


What is the Image Viewer?

In this window, you can see the image read by your device.

Use the magnifier icons to autofit the image to the size of the Image Viewer window, to zoom in and out in the image, or to display the image in a pixel to pixel mode, respectively.

You can also enable or disable Focus Feedback on the image in LiveDisplay mode and you can copy the image to the clipboard.

Use the Save Image option to save only the current image or all burst images and the Logging options to log all NoRead or all decoded images to the file system.

You can also select to check the histogram of the read image and the brightness data of a selected point in the image. Use the buttons on the toolbar ribbon of this window to carry out these tasks.


Result History


What is Result History?

In this pane, you can see the decoded information after each read.

Use the Pause button to pause/freeze the result history Toolview, which makes finding specific read information easier. All Incoming results from the device will be rejected by the result history window until it is unpaused.

Use Clear History to clear the history list. You can also export a single decoded string or all of them by using the Copy and Copy All options, respectively.

Under Logging, you can tick Generate Code Quality reports to include code quality data into the decoded information, tick Generate Data Validation reports to include data validation information, and Log all results to file system to locally save all result history items to your local hard drive. Further options for these can be accessed by clicking Logging and reporting settings.

Customize lets you add or remove table columns to personalize the information in result history.

For result filtering, see the question below.


How does result filtering work?

You can use the Filter... button in the Result History Toolview ribbon menu to filter read results displayed in the view. Clicking the button enables filtering. To set up filtering parameters, open the options by clicking on the right side of the button.

Note: The Filter button only appears if the operating system supports it.

Two modes are available in filtering settings: standard filtering and advanced filtering. You can select either mode by the drop-down menu under General.

When using standard filtering, the filtering categories appear as active in the drop-down window (Result Status, Validation Method, Validation State, and Symbology). You can select individual filters under each category by clicking them. Once enabled, these filters are used on all future items in result history and also retroactively. Items not specified by filters are dropped from result history until filtering is disabled. Note that in standard filtering, a single good read result in a trigger sequence counts as a good read for the whole trigger sequence. Therefore, for example, standard filtering is not applicable to multicode scenarios; use advanced filtering scripts for multicode scenarios.

When using advanced filtering, standard filtering categories become inactive, and the Advanced filtering settings is activated in the drop-down window. Clicking it opens up a new window where you can edit filter expressions. If a predefined filter was enabled previously, the generated expression can be seen in the dialog here. Editing the expression does not have any backwards effect on the predefined filters.

The filter expression itself is a JavaScript function. Using data members of the result is the same as it is with script-based formatting. The result of the expression can be seen in the window at the bottom. In case of java script error, the error message is displayed in the text window. Note that despite the similarities, advanced filtering is not a dataformatting script, only a display filter running on Setup Tool.


Why does the symbol appear outlined in green but no data appears in the Result History list?

If a Standard Formatting Enabled checkbox is checked on the Standard Formatting pane, then you must construct a customized output string or no result data appears even though the reader has decoded the symbol.


Why do some results have an icon in front?

Results headed by an icon have a saved image associated with it. Click the result line to display the decoding attempt and the image associated with it.


How do I view multicode results?

To enable multicode results, you must increase the Number of Codes parameter from the default value of 1 on the Multicode tab in the Symbology Settings pane.

If your reader detects and decodes multiple symbols in the same image, each symbol appears outlined in green and the Read Result History grid displays a single line displaying all the decoded data concatenated on one line. The results are separated and followed by the ASCII characters for CR (<0x0d>) and LF (<0x0a>). To view the separate results for each symbol, click the "+" sign next to the concatenated results.

As you click on an individual result, the Image Viewer will highlight the corresponding symbol.


Why do I see individual results instead of multicode results in Self trigger mode?

In Self trigger mode, the reader returns multiple individual results on separate lines in the Read Results History. As opposed to other trigger modes, here the results are not concatenated. Self trigger mode, by default, allows partial results.


Code Quality


What is the Code Quality tab for?

Code Quality enables you to validate that the symbols you use meet the quality guidelines as outlined in one of the code quality standards supported by Cognex. Codes are given an overall grade after the selected or all (default) metrics for a given code quality standard are graded. Code Quality is activated by feature key.

For more detailed information on specific code quality standards and their metrics, see the DataMan Communications and Programming Guide or the corresponding ISO standard documentation, which can be found at www.iso.org.


How do I use the General pane?

The General pane serves as a hub to enable code quality assessment for different code types: 1D barcodes, Data Matrix, QR codes, and DotCode. For each of these symbology types you can specify which code quality standard you want the reader to evaluate read codes for.

If the required metrics have been selected, navigate to the appropriate 1D Barcodes and/or 2D Codes sub-tabs to further customize code quality assessment if necessary.

After enabling code quality grading, the device provides quality results for each read symbol that code quality was enabled for in the Code Quality Toolview. If you want to check the details of the code quality assessment, make sure that you enable Code Quality Toolview by clicking Code Quality under View. In the Toolview the grade for each used metric and an overall grade is displayed.


What settings are available under the 1D Barcodes and 2D Codes tabs?

Once you have selected the desired code quality standard you want to use for quality assessment for your code type on the General tab, you can navigate to the appropriate code quality standard’s sub-tab under the 1D Barcodes or 2D Codes tabs and customize for specific grades the grading thresholds, inclusion of specific grades in the overall grade and their display in the report.

Note that microQR is not supported for code quality grading.


What can I set under the 1D Barcodes tab?

After you set up your device to compute Cognex 1D Readability or ISO/IEC 15416 for 1D Barcodes (under the General tab in the Code Quality pane), this tab allows you to manage aspects of that type of code assessment.

In the Minimum Pass Grade for Overall Result drop down box you can specify what minimum grade gets accepted as a 'Pass' for the given code quality standard.

By ticking the Custom Threshold checkbox, you can overrule and customize threshold settings originally defined in the given code quality standard. Note that if you uncheck and re-check the checkbox, the threshold values are reset to their default. These provide a list of metrics for the standard, and each of these metrics have the following settings:

  • Threshold can be set for the grades A, B, C and D. If a metric value exceeds this threshold, the respective grade is assigned. Grade F is assigned if the value does not reach threshold of grade D. Note that some metrics do not have thresholds, this is according to the ISO standards (for details see http://www.iso.org for the respective ISO standards).

  • Use for overall calculation: if ticked, this metrics is used for the calculation of the overall grade.

  • Include in report: if ticked, this metric is included in the code quality report available directly from the reader via FTP transfer or generated from Setup Tool via report logging, and in the result string that can be enabled in the tab Result String.

Note that due to their nature (as defined in the standards) not all metrics have all options available (for example if the ISO standard does not assign a grade to the metric).


What are the individual metrics used for 1D Readability?

Below is a list of the metrics calculated for 1D Readability quality assessment. For more detailed information on this code quality standard and its metrics, see the DataMan Communications and Programming Guide.

  • Multi Scan Int (Multi-scan Integrity) is a measurement of the decodability of the symbol you get by combining multiple scans of the symbol. The higher the measurement, the higher the grade.

  • Edge Contrast Minimum is the lowest difference between bar reflectance and space reflectance of two adjacent elements, which gives an indication of edges sharpness. The greater the difference, the higher the grade.

  • Reflectance Minimum is the lowest reflectance value in the scan, a measure of the darkest part of the barcode. The lower the value, the higher the grade.

  • Print Growth measures the deviation of bar and space width from the intended widths (indicated in the symbology specification), that is, it measures if bars are narrower/wider compared to spaces in the symbol. The higher the difference, the lower the grade.

  • Symbol Contrast is the difference between the highest and lowest reflectance values of a scan (the difference in reflectance between the darkest bar and the lightest space). The grade is higher with a greater the difference.

  • Single Scan Int (Single-scan Integrity) is a measurement of the decodability of the symbol with a single scan. The decodability is lower if multiple locations of the barcode are damaged.


What are the individual metrics used for ISO/IEC 15416?

Below is a list of the metrics calculated for ISO/IEC 15416 quality assessment. For more detailed information on this code quality standard and its metrics, see the DataMan Communications and Programming Guide or the corresponding ISO standard documentation, which can be found at www.iso.org.

  • Decodability is the measure of bar code printing accuracy in relation to the symbology-specific reference decode algorithm. Decodability indicates the scale of error in the width of the most deviant element in the symbol. The smaller the deviation, the higher the grade.

  • Defects are irregularities in elements (bars and spaces) and quiet zones. The parameter is used to measure the ‘noise’ that results from unwanted dips and spikes in the Scan Reflectance Profile. The smaller the defect, the better the grade.

  • Edge Contrast Minimum is the lowest difference between bar reflectance and space reflectance of two adjacent elements, which gives an indication of edges sharpness. The greater the difference, the higher the grade.

  • Reflectance Minimum is the lowest reflectance value in the scan, a measure of the darkest part of the barcode. The lower this value, the higher the grade.

  • Modulation is the ratio of Edge Contrast Minimum to Symbol Contrast, or, a measure of how a scanner sees wide elements (bars or spaces) relative to narrow elements. The greater the difference between Edge Contrast Minimum and Symbol Contrast, the lower the grade.

  • >Symbol Contrast is the difference between the highest and lowest reflectance values of a scan (the difference in reflectance between the darkest bar and the lightest space). The grade is higher with a greater the difference.

  • Reference Decode is an indication of whether the standard 2D Data Matrix algorithm was able to locate and decode this particular mark.

    This metric generates a grade of either A or F.

  • Edge Determination is the number of edges detected in the Scan Reflectance Profile. If the number of detected edges is greater than or equal to the expected number of edges, the grade is 4. Otherwise, the grade is 0.


What can I set under the 2D Codes tab?

After you set up your device to compute ISO/IEC 15415, AIM-DPM/ISO/IEC TR29158, SEMI T10, or DotCode for 2D Codes (under the General tab in the Code Quality pane), this tab allows you to manage aspects of that type of code grading.

In the Minimum Pass Grade for Overall Result drop down box you can specify what minimum grade is accepted as a 'Pass' for the given code quality standard.

By ticking the Custom Threshold checkbox, you can overrule and customize the custom threshold settings originally defined in the given code quality standard. Note that if you uncheck and re-check the checkbox, the threshold values are reset to their default. These options provide a list of metrics for the standard, and each of these metrics have the following settings:

  • Threshold can be set for the grades A, B, C and D. If a metric value exceeds this threshold, the respective grade is assigned. Grade F is assigned if the value does not reach threshold of grade D. Note that some metrics (eg. SEMI 10) do not have thresholds, this is according to the ISO standards (for details, see http://www.iso.org for the respective ISO standard documentation).

  • Use for overall calculation: if ticked, this metrics is used for the calculation of the overall grade. Note that SEMI T10 metrics do not have this option.

  • Include in report: if ticked, this metric is included in the code quality report available directly from the reader via FTP transfer or generated from Setup Tool via report logging, and in the result string that can be enabled in the tab Result String.

Note that due to their nature not all metrics have all options available (for example if the ISO standard does not assign a grade to the metric).

Note: MicroQR is not supported for 2D code quality grading.


What are the individual metrics used for AIM-DPM/ISO/IEC TR29158?

Below is a list of the metrics used for AIM-DPM/ISO/IEC TR29158 quality assessment. For more detailed information on this code quality standard and its metrics, see the DataMan Communications and Programming Guide or the corresponding ISO standard documentation, which can be found at www.iso.org.

  • Grid Non-Uniformity is a measurement for the amount of placement error for the individual cells from a uniformly spaced grid as measured using the clocking pattern of a symbol.

  • Unused Error Correction is a measurement for the percentage of code words left in a symbol after correcting for any errors.

    When calculating Unused Error Correction, a code word is considered to be in error if at least one of its cells is on the wrong side of the global threshold. 2D Data Matrix symbols have built-in code redundancy, or the presence of duplicate data content.

    A value of 1.00 means no errors were present in any of the code words.

  • Axial Non-Uniformity is a measurement of the symmetry of individual cells within the symbol, that is, the amount of deviation along the symbol's axes.

  • Cell Contrast is a measurement of the reflectance difference between the bright cells and the dark cells in the symbol, represented as a percentage of the bright cells mean reflected value.

    The AIM-DPM/ISO/IEC TR 29158 specification requires that the image be adjusted so that the bright cells have a mean reflectance value of 78% of complete saturation.

  • Fixed Pattern Damage is the quality of the finder, clocking, and quiet zone patterns within the mark.

    The reader uses several patterns within each symbol to locate and decode the data it contains. The reader generates the Fixed Pattern Damage grade using the same method as the Cell Modulation score, specifically a measurement of reflectance confidence.

  • Modulation is a measure of readability for the actual mark.

    The grade is a reflection of how close the bright cells and dark cells approach a global threshold for a particular mark, indicating the grey-level separation point between the bright cells and the dark cells of any particular mark.

    A mark generates a low Modulation grade when there is a relatively low confidence in the reader being able to classify individual cells as either bright or dark. The score also takes into consideration the error correction capacity built into the symbol (with larger symbols having more error correction capability). For example, a mark will receive a low Modulation grade but a high Unused Error Correction grade if the majority of cells are on the verge of changing their state but do not actually do so.

  • Print Growth measures the deviation of bar and space width from the intended widths (indicated in the symbology specification), that is, it measures if bars are narrower/wider compared to spaces in the symbol. The higher the difference, the lower the grade.


What are the individual metrics used for ISO/IEC 15415?

Below is a list of the metrics used for ISO/IEC 15415 quality assessment. For more detailed information on this code quality standard and its metrics, see the DataMan Communications and Programming Guide or the corresponding ISO standard documentation, which can be found at www.iso.org.

  • Grid Non-Uniformity is a measurement for the amount of placement error for the individual cells from a uniformly spaced grid as measured using the clocking pattern of a symbol.

  • Unused Error Correction is a measurement for the percentage of code words left in a symbol after correcting for any errors.

    When calculating Unused Error Correction, a code word is considered to be in error if at least one of its cells is on the wrong side of the global threshold. 2D Data Matrix symbols have built-in code redundancy, or the presence of duplicate data content.

    A value of 1.00 means no errors were present in any of the code words.

  • Axial Non-Uniformity is a measurement of the symmetry of individual cells within the symbol, that is, the amount of deviation along the symbol's axes.

  • Symbol Contrast is the difference between the highest and lowest reflectance values in a scan (the difference in reflectance between the darkest bar and the lightest space). The grade is higher with a greater the difference

  • Extreme Reflectance is a yes/no value indicating if the substrate surrounding the symbol contains reflectance extremes that can interfere with reading.

  • Fixed Pattern Damage is the quality of the finder, clocking, and quiet zone patterns within the mark.

    The reader uses several patterns within each symbol to locate and decode the data it contains. The reader generates the Fixed Pattern Damage grade using the same method as the Cell Modulation score, specifically a measurement of reflectance confidence.

  • Modulation is the ratio of Edge Contrast Minimum to Symbol Contrast, or, a measure of how a scanner sees wide elements (bars or spaces) relative to narrow elements. The greater the difference between Edge Contrast Minimum and Symbol Contrast, the lower the grade.

  • Print Growth measures the deviation of bar and space width from the intended widths (indicated in the symbology specification), that is, it measures if bars are narrower/wider compared to spaces in the symbol. The higher the difference, the lower the grade.


What are the individual metrics used for SEMI T10?

Below is a list of the metrics used in the SEMI T10 specification. For more detailed information on this code quality specification and its metrics, see the DataMan Communications and Programming Guide or the corresponding semi specification, which can be found at www.semi.org.

  • Finder Pattern Defects is the ratio of incorrect pixels to total pixels in the finder pattern.

  • Cell Defects is the ratio of incorrect pixels to total pixels in the grid.

  • Vertical Mark Misplacement is the average vertical misplacement of Data Matrix marks from their optimal Data Matrix Cell Center Points.

  • Horizontal Mark Misplacement is the average horizontal misplacement of Data Matrix marks from their optimal Data Matrix Cell Center Points.

  • Data Matrix Cell Height is the average height of each cell in the matrix (in pixels).

  • Data Matrix Cell Width is the average width of each cell in the matrix (in pixels).

  • Vertical Mark Growth is the tracking of the tendency to over or under mark the symbol, that is, a vertical size comparison between the actual marked cells vs. their nominal size.

  • Horizontal Mark Growth is the tracking of the tendency to over or under mark the symbol, that is, a horizontal size comparison between the actual marked cells vs. their nominal size.

  • Signal To Noise Ratio (SNR) is a relative measure of the Symbol Contrast to the maximum deviation in light or dark greyscale levels in the symbol (ie. noise).

  • Unused Error Correction is the measurement for the percentage of code words left in a symbol after correcting for any errors.

    When calculating Unused Error Correction, a code word is considered to be in error if at least one of its cells is on the wrong side of the global threshold. 2D Data Matrix symbols have built-in code redundancy, or the presence of duplicate data content.

    A value of 1.00 means no errors were present in any of the code words.

  • Symbol Contrast is the difference between the highest and lowest reflectance values in a scan (the difference in reflectance between the darkest bar and the lightest space). The grade is higher with a greater the difference


What are the individual metrics used for DotCode?

Below is a list of the metrics used for DotCode quality assessment. For more detailed information on this code quality standard and its metrics, see the DataMan Communications and Programming Guide or the corresponding ISO standard documentation, which can be found at www.iso.org.

  • Grid Non-Uniformity is a measurement for the amount of placement error for the individual cells from a uniformly spaced grid as measured using the clocking pattern of a symbol.

  • Unused Error Correction is the measurement for the percentage of code words left in a symbol after correcting for any errors.

    When calculating Unused Error Correction, a code word is considered to be in error if at least one of its cells is on the wrong side of the global threshold. 2D Data Matrix symbols have built-in code redundancy, or the presence of duplicate data content.

    A value of 1.00 means no errors were present in any of the code words.

  • Print Growth measures the deviation of bar and space width from the intended widths (indicated in the symbology specification), that is, it measures if bars are narrower/wider compared to spaces in the symbol. The higher the difference, the lower the grade.

  • Axial Non-Uniformity is the measurement of the symmetry of individual cells within the symbol, that is, the amount of deviation along the symbol's axes.

  • Symbol Contrast is the value difference between the highest and lowest reflectance values in a scan (the difference in reflectance between the darkest bar and the lightest space). The grade is higher with a greater the difference


What do I use the Result String tab for?

By ticking the checkbox Append Code Quality Data to Result String, you enable token based data formatting and allow code quality result data to be appended to result strings. If checked, the Output Overall Grade outputs the overall code quality grade (which is defined as the minimum grade of selected metrics) in the result string.

Under Reported Data, you can specify if you want grades, values, both, or neither to be included in the result string data. The Separator For Data Elements section lets you set separators before and between the code quality values included in a result string.

Quality Report Custom Description allows you to set a custom text that is added to the header of the code quality report available directly from the reader via FTP transfer or generated from Setup Tool via report logging.

Note that in case of multicode, the <PCM Data> formatting token has to be appended to all used symbologies.


What does the double rectangle that appears in the checkbox indicate?

A smaller filled rectangle inside a larger unfilled rectangle is called an intermediate check state. In this case it indicates that though the option is enabled, it is not fully in effect (in this case mostly because the token was manually removed on the Scripting pane).


What do I use the Report FTP Transfer tab for?

The Report FTP Transfer tab allows you to set up code quality results to be sent via FTP in form of an HTML report. You must tick the checkbox Enable Code Quality Report Transfer to allow the device to send results through FTP and identify the server you want to send data to by providing the server address, username, password, and type of the server.

Idle Timeout is the amount of time that a port is held open with no outgoing traffic. Once the reader opens a connection to an FTP server, the reader keeps that connection open as long as traffic occurs. If no traffic occurs for the set Idle Timeout period, the connection is closed. This can be useful if an FTP transfer only happens seldom and the network overhead for keeping the connection open is not desired. You need to check Enable Idle Timeout first to be able to set the idle timeout.

Settings under File Name govern FTP report file name generation. There are options available to set up:

  • Custom File Name generation: select this option if you want to provide the file name yourself. You can specify the name under File Name. The File Name field accepts not only file names, but also path names. Use forward slashes as delimiter. For example, /images/image. Append settings allow you to set the numbering rules for file name generation: Max Append Value sets the maximum number the file names’ numbering goes, Max Append Start Value sets where the file name numbering starts.

  • Script Generated File Name: after enabling this option, click on the blue option name to navigate immediately to Scripting > FTP Transfer, where the sample script for file name generation is already provided.

  • Server Generated File Name: provide the server address here after selecting this option to generate report file names based on a server. Some FTP servers support this functionality to uniquely name incoming files before saving them to disk.


What should I do if Server Generated File Name FTP transfers are not working?

Verify that your FTP sever can handle the "STOU - Store Unique" command. This command behaves like STOR except that the resulting file is to be created in the current directory under a name unique to that directory.


Why is the whole pane disabled when I'm transferring files?

The pane is disabled to achieve maximum Image FTP transfer stability. Image FTP transfer can take some time, depending on the connection speed to the FTP server and the image size and number of images to be transferred.


Code Quality Toolview


What can I see on the Code Quality Toolview?

You can see the results of code quality assessment under Code Quality Toolview. Code quality computation has to be enabled on the Code Quality pane (feature key required) before being able to view results here. For each read selected on the Result History toolview, the previously set code quality standards and metrics are shown in the Code Quality Toolview. On top of each type of code quality standard you can see the overall grade given to the code that was read.

Property lists the individual metrics for the given standard, Value is the calculated numeric value difference for the individual metrics. Grade is the code quality grade that was given to the metric (a colored icon also appears in this row; green = pass, red = fail, yellow = value is on the threshold). Average is the average grade (with + and - for tendency) based on the last 100 reads of that metric.

For more detailed information on code quality standards, grades, and metrics, see the DataMan Communications and Programming Guide or the corresponding ISO standard documentation, which can be found at www.iso.org.


Test Mode


What is Test Mode?

Test Mode allows you to test and set up your device with a live system without any disruption to production. In this mode, all trigger sources (except for Setup Tool and button triggering) are disabled.


What is Automatic Triggering?

Automatic triggering allows you to internally (automatically) trigger your device in an external trigger mode. That is, even if you select a trigger type that is external (any other than Presentation or Self trigger mode), you can trigger the reader automatically in test mode. This way, you can determine if the device is running with the parameters which will be used in regular mode.


Which features are disabled/limited in Test Mode?

  • All trigger sources except for Setup Tool and button triggering are disabled.

  • You can disable all inputs and outputs. If you do so, results will only get sent to the Setup Tool and LEDs/beeper will work, but no other outputs will function.


What is Number of Triggers to be Accepted?

You can define the number of triggers that will be accepted before all trigger sources are disabled.


Read Setups


Which trigger modes are Read Setups valid for?

Read Setups can be used in Single, Self, Burst, and Continuous trigger modes. The next Read Setup becomes active after the specified Interval time (specified on the Optimize Image pane). For all other trigger modes, if multiple setups have been configured, only the currently selected active setup (indicated in status bar) gets used. Because there is no interval for Single trigger mode, one read setup will go to the next one as soon as the previous acquisition finishes.


How can I add, copy, or delete setups?

To add a Read Setup, click the Add Setup button. In the window that pops up, you can decide if you want to use default values for the new Setup, or if you want to copy values from an existing Setup.

To delete a Read Setup, select it by selecting the column of the read setup, and click Delete Setup button.

To copy and paste a Read Setup, select the column that you want to copy and click the Copy button or press Ctrl+C, then go to the Setup column you want the new Setup to be overwritten by. Click the Paste button or press Ctrl+V. The values of the column will be overwritten by the values that you copied and pasted.


What is the Starting Setup option?

If multiple setups are enabled, the reader goes through all of them and stops acquiring images after it has read a code. To read the next code, you can decide if the reader will start going through the setups starting from a selected one or from the last successful decode.


Will further images be taken once a valid reading occurs?

No, additional images are taken as readings in previous setups fail. Once a setup produces a valid image, the reader will no longer try additional setups during that trigger cycle and decoding commences. The reader will try each enabled setup in a priority order, starting at the specified highest priority setup, and move on until a valid reading is taken.


Can I change the order of the read setups?

You can click the Change Order button and rearrange the order of read setups in the pop-up window. The setups will be renumbered consecutively.


What is the Filter field at the top?

You can type in a parameter that you want to find, for example, "size" or "burst", and either press Enter. The found items will be highlighted and only those parameter nodes will be expanded that contain the items that you searched for. You can close the search by deleting what you typed in and pressing Enter.


How does Tuning affect my Read Setup parameters?

The Best Results table on the Tuning pane is applied to the currently active setup. Only those parameters that are tuned are affected.


Why cannot I use more setups?

If you use Image Filtering, it is possible that not all setups are enabled for reasons internal to the device's memory.


Read Setups: General Layout and structure

Read Setups is a table view style tool used to set, copy, compare, or restore read setups. The main area of the document page contains a grid with the properties of the device.

The header row displays the selected device name or names. The second header row below the first displays the available setups for the device. The row headers below (in bold) can be collapsed or opened by clicking the icon next to them. When a device is disconnected, a reconnect icon appears in its header row.


Read Setups: Controls (Mouse and Keyboard)

Selection:

  • Mouse: Clicking on a cell in the grid selects it, which hightlights the row header of the cell and the column header(s) where the device and setup belong. The menu buttons and items in the ribbon menu can change in line with selection. If the selected cell is in the row of a header row, all cells in the current column that belong to the header are selected.

  • Keyboard: Cursor movement keys navigate the selection to the appropriate cell. The highlight and selection behavior is the same as by mouse.

Adding/changing values:

  • Mouse: For cells with embedded editors, clicking on the editor control (combo box, checkbox, numeric up-down) allows the input of values. For cells with custom editors (the '...' icon), a pop-up editor opens, allowing value input.

  • Keyboard: For cells with embedded editors, pressing Enter or F2 initiates edit mode, Esc cancels editing, and a second Enter confirms editing. Values can be entered in the selected text without entering edit mode, in which case the current value is overwritten at the first keystroke.

    For numeric cells, in addition to embedded text editor cells, the up and down arrows increase and decrease the value.

    For drop-down cells, Enter initiates edit mode and shows the drop-down items, while up and down arrows move the selection. A second Enter applies the selected value and Esc cancels editing.

    For checkbox cells, use Space to toggle checked/unchecked states.

Copying and Pasting:

Use the keyboard combinations Ctrl+C and Ctrl+V for copying and pasting, respectably, see the copy-paste description of the related ribbon menu items for more information.


Read Setups: Ribbon Menu

The ribbon menu can be found above the table view style grid. Its contents and active icons may change in line with the selection of cells, rows, or columns in the grid. The menu is separated into several groups.

  • Table View: Use the Add Setup button to add a read setup. In the window that pops up, you can decide if you want to use default values for the new Setup, or if you want to copy values from an existing Setup. The Delete Setup button is used to delete the selected read setup(s). The Change Order button opens a pop-up box where you can rearrange the order of read setups. The setups will be renumbered consecutively.

  • Starting Setup: If multiple setups are enabled, the reader goes through all of them and stops acquiring images after it has read a code. To read the next code, you can decide if the reader will start going through the setups starting from a selected one or from the last successful decode. Here you can pick this starting setup from a drop-down list. Alternatively, select Last Successful Decode to select the read setup with the last successful decode as starting setup.

  • Editing: Use Copy (or Ctrl+C on the keyboard) to copy a value from the currently selected cell. Paste can only be used in the same row or in any text editor. Reset Values is used to reset the value(s) of the selected cell(s).

  • Highlighting: Buttons and settings in this menu group provide options to highlight specific cell backgrounds. With the Non-Default Values setting, cells that have non-default values are highlighted (this may be different in a single row for different devices or read setups). The Difference to Reference setting highlights cells that have different values from the cell in the same row of the reference read setup (and device). The third setting is selected, all values and headers are highlighted that contain the text specified in the textbox. Additionally, the contained text itself is highlighted with a different text background. Pressing Enter applies the function of the Show Highlighted Rows Only button as well.

    When enabled, Show Highlighted Rows Only collapses all nodes that do not have any sub-node that is highlighted. When activated, the Set Reference Read Setup specifies the read setup (and device) that is used as a reference when the Difference to Reference highlighting mode is used. When the button is active, the currently selected cell’s column (read setup) becomes the reference setup. The current reference setup is marked in the setup name header row.

  • Filtering: Read Setup settings is set automatically, allowing to see only settings that are read setup dependent. Set Global settings to see only settings that can not have different values in different read setups. Set All settings to see all settings at once. If an entry has values in more read setups, they are visible in different columns.

  • Other: Use Expand All Rows to expand all the rows that have been collapsed in the grid. Use Collapse All Rows to collapse all expanded rows in the grid. Reset Layout recalculates the column widths to use up all available space. If the available space is not enough, a minimum column width is applied.


Device Log


What is the Device Log?

This view shows you the logs that are generated when the red LED on your device flashes. You can refresh this log or delete it when it is no longer needed.


Image Size


What is the Decoder Region of Interest (ROI) setting used for?

You can use this feature to specify the exact region of the image the reader will use to locate and decode a symbol. This can be helpful if two Data Matrix codes are in close proximity to each other and you need to ensure you only read the code along the target aiming line. Reducing the region of interest does not necessarily reduce the decoding time or increase the image transfer rate.

NOTE: Some image related properties (eg. image size, filtering) cannot be altered when the device is acquiring or decoding images.


Why change the Imager Field of View (FoV)?

Available for the Single, Burst, and Continuous trigger types, you can modify the field of view to reduce the size of each image captured by the reader, which can increase the amount of memory and allow you to specify a longer burst length.


Why cannot I change the Decoder ROI?

Make sure the Imager FOV is not checked. If the Imager FOV is checked, it is not possible to make the Decoder ROI bigger than the boundaries of the Imager FOV.


Does the size of the Decoder ROI have any effect on Reader Configuration Codes?

Restricting the Region of Interest too small can result in the reader not being able to read Reader Configuration Codes.


Focus Settings


What does Optimize Focus do?

Same as on the Quick Setup pane, the Optimize Focus button will set the liquid lens to an optimal value based on the current field of view.


What happens if I turn on the Optimize Focus Feedback Enabled option?

By checking the box, you enable Optimize Focus Feedback, which in turn provides visual feedback on the image display (found under Quick Setup or the Image Panel in the form of colored circles overlaid on the image. Red zones are out of focus, while green zones are in focus (the larger the circle, the more in focus).


What does the Focus Settle Mode option do?

The Focus Settle mode option allows you to specify a preconfigured settings for the LiquidLens settle time for image acquisition during triggers. Set Normal for normal settle mode and Precise for a slower, but more precise mode.


How do I determine the right focus value for the liquid lens?

To determine the best setting for Focus Sweep, click the Live Display Enabled checkbox and experiment with the slider based on the live image.

Please note that the focus distance is measured from the lens, not from the front cover of the reader.


Why is Focus Sweep not selectable?

Focus Sweep is supported only in Manual and Presentation trigger modes.


How do I use the Focus Range setting?

You can use the Focus Range option to manually change the focus distance of the device by using the slider, the '+' and '-' buttons at the ends of the slider, or by typing in values. Focus range can be given in millimeters or diopter. When one of these values is provided, Setup Tool automatically calculates the other value to match the one that was changed.

The orange region of the slider denotes extended range (over 500 mm), where only diopter is applicable. When the setting is inside this region, millimeter values are disabled (and are re-enabled when the value is again outside of extended range).

Note that diopter decreases when the '+' button is used and increases when the '-' button is used.

Please note that the focus distance is measured from the lens, not from the front cover of the reader.


How is the distance to the reader calculated?

The distance in millimeters is calculated as distance from the front of the lens cover to the image to be decoded.

When set, diopter is also measured from the front of the lens to the image.

Please note that the focus distance is measured from the lens, not from the front cover of the reader.


Image Filtering


How do I use image filtering?

  1. Click Add and select a filter from the list of Stacked Filters.

  2. In the Filter Properties combo box, select the appropriate parameters for your selected filter. You can also specify the order in which filtering is done by moving the filters using the Up and Down buttons.

  3. Change the selection in the Image to Use group box according to the symbology you want to be filtered (after making sure that that symbology is enabled).

  4. Go to the Displayed Image Settings pane and change the Images to Use according to what you want to see on Live Display: the original or the filtered image.


What are the different filters?

  • Equalize: This filter redistributes the brightness values of the pixels in the image. As a result, the range of brightness levels are more evenly represented. Use this filter if you have too dark or too bright images.

  • Stretch: This filter linearly scales up or stretches the greyscale values in the input image to the full 256-step greyscale. The result is an ouput image with increased contrast.

  • Low Pass: Using this filter results in output images where edges are smoothed or blurred.

  • Dilate: This filter increases bright features and shrinks dark features. The result is an output image with larger areas of bright pixels. Use this filter to remove dark specks.

  • Erode: This filter shrinks bright features and increases dark features. The result is an output image with larger areas of dark pixels. Use this filter to remove light specks.

  • Open: This filter performs an erosion followed by a dilation to filter out bright features that are smaller than the size of the processing neighborhood. The result is an output image with slightly decreased overall brightness.

  • Close: This filter performs a dilation followed by an erosion to filter out dark features that are smaller than the size of the processing neighborhood. The result is an output image with slightly increased overall brightness.

  • Auto Stretch: This filter reduces the pixel value range. It maps the pixel values from 0 to 255.

  • Optical Density: This filter specifies an inversion of pixel values based on a logarithmic scale. The result is an output image that reveals the density of objects and features in the input image by measuring the amount of light that passes through them. Denser objects and features are represented by lighter pixels in the output image.

  • Invert: This filter specifies an inversion of pixel values based on the 256-step greyscale. The result is an output image that is a "negative" of the input image.

  • Median: This filter is applied to all the pixels of the image. For each pixel, the filter observes the brightness of surrounding pixels, and sets the pixel to their median. This results in a smoother image with fewer and weaker extremes.

  • Gamma Correction: This filter performs brightness adjustment based on the gamma correction value provided as a sub-setting.

  • Scale: This filter allows the percentile scaling of the image along the X and Y axes (either, or both).


What is the NoRead Image?

If the reader does not decode an image, the Result History shows the image according to your selection under NoRead Image. If you select, for example, Data Matrix, Result History will show what you selected for Data Matrix: Original or Filtered.


Why are all filter options disabled?

All filter options are disabled during Presentation and Self trigger modes. If you still want to use image filtering in these trigger modes, switch to another trigger type first, make your filter settings and change back to Presentation or Self trigger mode.


Xpand ROI Settings


What is the Xpand ROI settings used for?

You can use this feature to specify the exact region of each part of the image seen by the reader through the FOVE. This can be helpful to disable the ghosting area in the middle of the image where the same code can be detected twice. Reducing the region of interest (ROI) does not necessarily reduce the decoding time or increase the image transfer rate.

The most appropriate settings have been pre-configured for existing Field of View Expanders (FOVEs), but you can fine-tune the settings (Custom setting) by manually adjusting parameters in order to achieve the best results for the particular FOVE in use. Readers, FOVEs, and lens used factor in differently.

NOTE: Some image related properties (eg. image size, filtering) cannot be altered when the device is acquiring or decoding images.

NOTE: Make sure to check if the device you are using is compatible with the FOVE you are trying to calibrate!


Why change the Field of View (FoV)?

Available for the Single, Burst, and Continuous trigger types, you can modify the area individually for each Field of View to reduce the size of each image captured by the reader, which can increase the amount of memory and allow you to specify a longer burst length. Setting up these FoVs allows to exclude some areas of image where the code detection can be distorted or interfered by some optical phenomena related to Field of View Expanders (FOVEs).


Does the size of a ROI have any effect on Reader Configuration Codes?

Restricting the Region of Interest too small can result in the reader not being able to read Reader Configuration Codes.


OCR


What is OCR?

Optical Character Recognition (OCR) is a feature that provides users with the ability to use DataMan devices to convert printed characters into encoded text. The device must be trained first with the desired fonts to be able to use OCR. OCR only works in single trigger mode and is not supported for Multicode.


How do I set up OCR?

Setting up OCR is done by going through steps (see below), but the steps can be navigated in any order. Note that OCR only works in single trigger mode. Navigate by using the Next and Back buttons below, or by clicking on the panels at the top of the OCR pane to go directly to a panel. The Summary panel lists all the settings, and red indicates an error. You can use the repair icon to navigate straight to the pane related to the error.

Fonts: You can upload fonts that will be used for OCR reads. The already used fonts are shown in the dialog box. Clicking on any of these allows for additional actions below the dialog box. Note that Edit Font works similar to Upload Font, but you can select characters that will be included in the upload. This allows for reducing file sizes, which will result in faster load times of the device. Use Ctrl+click to add characters one by one in the pop-up window. You can use the arrow next to the Font pop-up window’s OK button to reveal upload as, with which you can change the file name of the font file.

Fixturing: You can set up fixturing on symbologies or patterns using ROI (region of interest) fields on the read image in the image box so that OCR reads can be positioned in relation to the fixtured item. When fixturing on pattern, the yellow region is used to select the pattern for training, and the orange region is used to provide the frame where the pattern is searched for during operation. When fixturing on symbology, you have to set the appropriate code the device looks for. In both cases, you must use Train Fixture to finalize fixturing.

OCR Strings: To finalize the setup of OCR, navigate to OCS String 1. A green “Trained” or a red “Untrained” indicates the status of the OCR string (this color code applies to the tab name as well). You can select the Font for the string under Selected Font from the already uploaded font types.

Fielding can be ticked to set which characters can be in certain positions during an OCR read. The tooltip (navigate the mouse pointer over the text field to the right of Fielding) indicates what characters signify in the fielding string.

Next, navigate the OCR ROI field into position over the text in the image, and enter the training text.

Accept Threshold is a character score that lets you manipulate the threshold at which characters are accepted in an OCR read. Reads are color coded on the image.

Confidence Threshold is set on a minimum character score difference between the first and second matches in OCR reads that is still accepted.

After everything is set, click on Train OCR to finalize training the OCR string. Note that if you are using symbology fixturing, or want to read codes other than OCR, then keep Allow partial results checked!

Additional OCR strings can also be set up under OCR String 2-4, each with its own visual cue (separately colored ROI frames). Note that the more OCR Strings are trained, the slower the device becomes.

NOTE: Training with Multicode is not supported.


What is the Number of Codes used for?

You can read multiple types of codes at the same time. In this case, provide the number of codes that will be read under Number of Codes. Max. OCR codes then have to be provided, determining the number of OCR strings that will be read (for example, Number of Codes is 3, Max. OCR codes is 1, then 3 codes will be read, and one will be OCR from these, and 2 will be of other code type, for example, DataMatrix). The rest of the maximum codes can be set up in the linked Symbology settings pane.

Allow partial results: If ticked, this option causes the device to report a good read even if it could not find all the codes set up under Number of Codes and Max. OCR codes. If you are using symbology fixturing, or want to read codes other than OCR, then keep Allow partial results checked!

Allow OCR to always report a good read: If ticked, this option causes the device to report bad reads as good reads so that users can see how individual characters were read. A green frame indicates a good read, a blue frame indicates that the read was in the lower 25% of the accept threshold, a yellow frame indicates that the confidence score is lower than the confidence threshold, and a red frame indicates that it is a bad read. Note that this option is automatically un-ticked when Setup Tool disconnects from the device.


When do I need to retrain OCR?

OCR must be trained initially, but may have to be retrained when a setting changes. As a general rule, OCR must be retrained when there is a considerable change in settings and consistency, including the change in font type, code type, and a change between pattern and symbology fixturing done the first time (switching back to pattern or symbology fixturing requires no retraining).


Does OCR training acquire images?

During OCR training there is no new image acquired. The reader works on the last image that was kept after a decode attempt (this guarantees that the multiple training steps happen exactly on the same image). This is usually the image shown in Setup Tool, but there can be exceptions:

a) After focus or brightness optimization, a new image is sent to the Setup Tool, but OCR training will not work on that image. Instead, OCR works on the one that was kept after the last read.

b) If multiple read setups are used, the image shown won't necessarily be an image that was acquired using the active read setup's settings.

For the above reasons, it is strongly recommended to enable one read setup (the active one), and trigger the device to acquire a new image before training.


Data Validation


What is Data Validation?

Data Validation is used to confirm that the data encoded by a symbol is in the correct format for a particular company, industry or international standard.


Where is the Data Validation Result History displayed?

The Data Validation Pass/Fail and output results are displayed in the Result History. The Result entry in the result history list will receive a '+' icon opening the result details of the validation attempt. Past validation results can be viewed in the result history in the same way.


What do the validation error codes mean?

The Data Validation Fail results are the following:

  • 1: Invalid symbology identifier. The symbology identifier is the 3-character string that not only identifies the type of symbology used for encoding the data but also describes how to process the data. This string may be optionally passed as input to the tool in addition to the decoded data either as a separate entity or by prefixing it to the data stream.

    Example: For a UCC/EAN-128 symbol, the symbology identifier is ]C1. In some applications, this will be the only way to accurately and automatically differentiate between in-house or industry Code 128 and UCC/EAN-128 symbols (that encode EAN.UCC Application Identifiers). Without symbology identifiers, you wouldn't know how to process the data in the symbol.

  • 2: Pattern mismatch.

  • 3: Invalid data qualifiers (AI, DI or TEI).

  • 4: Invalid Application Identifier (AI).

  • 5: Invalid Data Identifier (DI).

  • 6: Invalid Text Element Identifier (TEI).

  • 7: Invalid Data: if the data does not agree with the data qualifier in type, length or value.

  • 8: Invalid field separator.

  • 9: Not ISO/IEC 15434 compliant.

  • 10: Unsupported formats (e.g. in DoD UID applications, formats other than 05, 06 or DD).

  • 11: Invalid format code: format codes other than 00-99 and DD.

  • 12: ISO/IEC 15434 not supported if ISO/IEC 15434 validation option is selected, but the decoded stream is not from a 2D symbol. It is possible to report this failure only if the symbology identifier is passed as input to the tool.

  • 13: Invalid application field: a field that is not supported in the application.

  • 14: Unsupported application field: a field that is supported in the application but not supported by the tool.

  • 15: Invalid application data: if the data does not meet application-specific requirements.

    Example: DoD UID applications have the following requirements: The enterprise ID string of characters will not exceed 13 characters, excluding the data qualifier. The original part, lot or batch number string of characters (including permissible special characters) will not exceed 32 characters, excluding the data qualifier. The serial number string of characters (including permissible special characters) will not exceed 30 characters, excluding the data qualifier.

  • 16: Presence of multiple formats in the same data stream (e.g. in DoD UID applications, more than one format cannot be present in the data stream).

  • 17: Duplicate fields: multiple occurrences of the same data qualifier in the same symbol. Certain applications like the DoD UID applications do not allow duplicate fields in the same symbol.

  • 18: Invalid UID: not all the fields required to construct a valid Construct #1 or Construct #2 UID are present.

  • 19: Invalid Construct #1 UID: not all the fields required to construct a valid Construct #1 UID are present.

  • 20: Invalid Construct #2 UID: not all the fields required to construct a valid Construct #2 UID are present.

  • 21: Missing Format Trailer when checking for compliance to ISO 15434 syntax or DoD UID.

  • 22: Missing Message Trailer when checking for compliance to ISO 15434 syntax or DoD UID.


What is DoD UID Validation?

DoD UID Validation is used to evaluate whether the data encoded in a Data Matrix code is encoded correctly according to the US Department of Defense's Mil Standard 130 guidelines. The US Department of Defense now requires all items (over $5,000 or that are uniquely serialized) that it receives or maintains in inventory be marked with a unique serial number (UII) and with a specific syntax format. The DoD UID Validation tool is used to confirm if the data in a code is formatted correctly according to the Department of Defense Construct types 1 or 2. The DoD UID Validation feature also automatically confirms if the data string correctly conforms to ISO 15434 and ISO 15418. The output of the Concatenated UII (or just the Data Elements of the UII without the ISO 15434 syntax and ISO 15418 data qualifiers) is displayed in the first results field in the Validation Results field in the Results Task Pane.

Construct 1 data elements include: The manufacturer's Enterprise Identifier EID (CAGE, DUNS, EAN.UCC) identifier for a company plus the serial number of the part within their EID identifier. The Enterprise Identifier and serial numbers are represented by specific Data Qualifiers depending on whether a company is using a DI, AI or TEI format.

Construct 2 data elements include: The manufacturer's Enterprise Identifier (EID), the manufacturer's part number (PN) and batch number (BN) identifier for the part and the unique serial number for the part within the manufacturer's specific part number. The Enterprise Identifier, part number/batch number and serial numbers are represented by specific Data Qualifiers depending on whether a company is using a DI, AI or TEI format.

Note: This option is not available on all readers.


What symbology should I use for DoD UID Validation?

The US Department of Defense currently specifies the Data Matrix code as the standard for UID marking.


What is expected EID?

Expected EID refers to the manufacturer's enterprise identifier in the UII data string. The manufacturer's enterprise identifier (EID) represents the manufacturer's CAGE, DUNS, EAN.UCC code or other identification. Expected EID is a DoD specific value.


What is expected PN?

The expected PN refers to the manufacturer's part number in the UII data string. Expected PN is a DoD specific value.


What is expected BN?

The expected BN refers to the manufacturer's batch number in the UII data string. Expected BN is a DoD specific value.


What is ISO Validation?

The ISO Validation feature is used to determine if a data string is correctly encoded according ISO 15434 syntax or ISO 15434 plus ISO 15418.

ISO 15434 confirms if the data string is encoded with the correct syntax which includes the evaluation of the ‘non-printable' ASCII characters in the string such as the message header, record separator, format code (For AI, DI or TEIs), group separators and end of transmission character.

ISO 15418 confirms if the data string is encoded with the correct Data Qualifiers for each Data Element. Depending on whether a manufacturer is using a AI, DI or TEI format, each Data Element (Manufacturer's EIN code, Part Number and Serial Number) is preceded by a specific code or ‘Data Qualifier'.

Note: This option is not available on all readers.

Note: This option also allows Text Element Identifiers as defined in the ATA CSDD specification.


What is GS1 Validation?

GS1 validation allows you to verify the syntax and semantics of symbols against the GS1 specification. The reader can validate the encoded data against a configurable string of identifiers. All application identifiers are supported.

By default, the reader validates the incoming symbol against the European Federation of Pharmaceutical Industries and Associations (EFPIA) format string, for example:

<AI(01)><AI(10)><AI(17)><AI(21)>

Using GS1 validation, you can configure what the reader transmits when the data in a symbol does not pass verification, including a carriage return and line feed. The Detailed Results pane will display a PASS or FAIL for each symbol and list each application identifier in the symbol along with its accompanying data element.


What is Match String Validation?

Match String Validation enables you to specify an exact string to match against the string encoded by the symbol. Only symbols containing a string that matches the specified string will generate a Pass result.


How do I validate strings with values that change?

Enable the Increment/Decrement Numerical Component control to specify that part of the string to validate is a numerical value that increase or decreases with each successive read.


What is the Increment/Decrement Numerical Component used for?

Use this feature to perform Match String Validation in applications where the encoded data is serialized or changes in some linear fashion. For example, a magazine or book-binding application where the page numbers are tracked using barcodes to ensure that no pages are duplicated or skipped can benefit from the Increment/Decrement Numerical Component.


How do you configure the Increment/Decrement Numerical Component settings?

You can use this feature if the string that you are validating contains a sequence of digits (0-9) that either increase or decrease with each successive read. To use this feature, specify the starting position of the incrementing or decrementing digits in the Start Position field (0 is the position of the first character) and the number of characters that will change in the Length field. If you select Auto for the Length, the reader will treat all consecutive digits from the start position as the incrementing or decrementing value. Use the Step Size to specify how much the value changes between reads. Select a negative value if the number decreases.

For example, if your initial string is ABC_123XXPY and with each successive read "123" is incremented by one, you would specify a Start Position of 4, a Length of 3, and a Step Size of 1. (If you were sure that the characters in positions 7-on would never be digits, you could also specify Auto for the Length.) Note that the Auto setting does not increase the number of digits when reaching the maximum number but resets the number as with any fixed digit setting (for example, reaching 99 with two digits does not turn to 100, but to 00).

By default, if the string is invalid or could not be read, the expected numerical value does not change. You can use the Update on NoRead and Update on Validation Failure check boxes to specify that the expected value be changed when no code is read, if the code is invalid, or both.


What is Pattern-Matching Validation used for?

Pattern-Matching Validation enables a user to input a specific string of characters to confirm if they are present in the data string. For instance, a user could enter the pattern 17V which is used in DI formats to identify the manufacturer's Enterprise Identifier. If the characters 17V are present in the code, the reader will signal a pass for validation for that code. If the characters are not present, the reader will signal a failure for validation.

You must use a Regular Expression as pattern for pattern validation.


What is the Validation Failure Action used for?

The Validation Failure Action is used to determine what is output from the reader after a validation failure. The user can select from different options:

  1. Transmit ‘Validation Failure'- The reader will output the string ‘Validation Failure' after a code fails validation
  2. Transmit ‘Validation Failure' + decoded string- The reader will output the string ‘Validation Failure' followed by the complete decoded string
  3. Transmit annotated decoded string- The reader will output the decoded string along with information on the error type and error location in the string
  4. Transmit nothing- The reader will not output any information.
  5. Transmit 'Validation Failure' + quoted decoded string- The reader will output the string 'Validation Failure' followed by the quoted part of the decoded string


What is the Validation Failure Action Append CR/LF checkbox used for?

The CR/LF checkbox is used to provide a carriage return/line feed after a validation failure output.


How do I search for multiple Match Strings?

Use the Pattern Matching validation and enter a Perl-formatted match string. For example, to match the strings 123, 456 or 789, type the following:

^(123¦456¦789)$


What happens when Data Validation is enabled?

The Data Validation status is shown in the Results Status result list entry of the Result History pane. The status for a successful validation is "Valid", for a failed validation it is "Invalid". To see more details on the validation result, the result may be unfold.


What is Data Formatting on failed validation?

The 'Basic Formatting' data formatting is not applied to a result if the data validation failed. Instead, the 'Validation Failure Action' is executed. This is different compared to the 'Script Based Formatting' data formatting. If 'Script Based Formatting' is enabled, the 'Validation Failure Action' is not executed and the script formatting function is executed. This allows for example to refine the 'Data Validation' status via script.


Backup Settings


What is the Automatic Reader Configuration Backup?

Automatic Backup works with devices connected through Ethernet. When enabled, this function does a device configuration backup to an external storage (an FTP server) every time the configuration is saved to flash. A Cognex Explorer service can receive the backup data. Restore can be done manually by either Setup Tool, DMCC commands or Cognex Explorer.

Configure the reader with the IP address and port number necessary to specify where you want to save the configuration. You can also set a username and password combination.


Print Device Backup Code


What can the Print Device Backup Code option be used for?

Use this option to print the reader backup codes (hard reset and reboot code) so that you could replace your device by reading it by the reader. These codes contain the network settings and serial settings as well.

In the Notes section, you can write important notes that will also show up on the printed page. If you want to print the reset codes separate pages, check the Print reset code on its own page checkbox.


Print Configuration Code


What can the Print Configuration Code option be used for?

Use this option to print the reader configuration codes (hard reset and reboot code) so that they can be read by the device or devices that you want to configure.

In the Notes section, you can write important notes that will also show up on the printed page. If you want to print the reset codes separate pages, check the Print reset code on its own page checkbox.


Multi Reader Sync


Which trigger combinations support Multi-Reader Sync triggering?

Multi-Reader Sync triggering only works correctly if Primary reader and Secondary reader use specific, allowed combinations of trigger modes. They are the following:

  • Self/Self

  • Single/Burst, Single/Single, Burst/Burst, Burst/Single

  • Manual/Continuous, Manual/Manual, Continuous/Continuous, Continuous/Manual

  • Presentation/Presentation, Self/Presentation, Presentation/Self


What is Group Triggering?

All readers in the same group and on the same subnet are triggered by a single trigger source, coming from the active Primary reader.


How are the results collected and reported?

When Group Triggering is enabled, the reader will, as Primary reader, combine results from Secondary readers and, as secondary reader, send results to Primary reader.


How can I add a new Group Name?

  1. Click the Add New button.

  2. The Add New Group dialog pops up. Choose your desired group name and click OK. Make sure you use a unique group name.

  3. See that your new group appears in the Group Name list and that your reader appears in the list on the right hand side.

  4. For any device in the group that you do not want to be disturbed, set a password in the Network Settings pane's Authentication tab.


How can I have the Primary reader report all code results from each reader in the Multi-Reader Sync group?

In Multi-Reader Sync mode, the Primary reader can be configured to report its own code results and all code results from all of the Secondary readers. In order to do this, on the Symbology Settings pane's Multicode tab, you must configure the Number of Codes setting for the Primary reader. This must be set to the total number of codes you would like to see returned from the Multi-Reader Sync group.

For example, if you have a Primary reader and a Secondary reader each reading a single code, then the Number of Codes setting for the Primary reader would be 2. If the Secondary reader was reading 3 codes and the Primary reader was reading 1, then Number of Codes on the Primary reader would be set to 4. The Number of Codes setting on the Primary reader can be varied from 1 to total number of codes read by all readers in a single Multi-Reader Sync group.

Note that if a Secondary reader is reading multiple codes, you must also configure the Secondary reader's Multicode settings so that it will read and return multiple code results to the Primary reader.


Why did my group name disappear?

You did not assign any reader to that group name. A group exists only as long as at least one reader is assigned to it. Moving the last reader into a different group will remove the group.


Which reader is the Primary reader?

If the readers in the group are using Self or Presentation trigger mode, then a checkbox will appear for each reader in the list called Readers in this Group. Check the checkbox for the reader you would like to set as the Primary reader.

If the group of readers are using an external trigger or receiving a software trigger (for example, from the Setup Tool), then the reader that receives the trigger first will act as the Primary reader.

For all trigger modes, only one reader in a group can be the Primary at any given time.


Why cannot I find my reader in the list?

If the Setup Tool is running on a PC that is on a different subnet than the reader it connects to, the reader will not be listed in either list. Add your reader to the list using the Add device button.


How can I prevent that somebody else connects to my reader in the group?

Set a password to that reader. Go to the Network Settings pane and set a password in the Authentication tab.


What is Secondary Reader Response Timeout?

The Secondary Reader Response Timeout is the time in milliseconds that the Primary reader waits for a result from a Secondary reader.


Why does my Secondary Reader's Data Formatting have no effect?

In Multi-Reader Sync Mode, the Primary reader acts as if all code results from Secondary readers are its own results. This means that the Primary reader's data formatting will take effect, but the formatting rules in the Secondary readers are not considered.


How does trigger delay work in Multi-Reader Sync Mode?

Primary Reader and Secondary Readers are normally triggered at the same time, however, a trigger delay can be set for the Primary reader and each Secondary reader in the group. The total trigger delay time for the Primary reader will simply be the trigger delay time set on the Primary reader. The total trigger delay time for the Secondary reader will be the Primary reader trigger delay time + Secondary reader trigger delay time.


What is the Synchronized Readers option?

In Single, Burst, Continuous, and Self trigger modes, it is possible to synchronize image acquisition on multiple devices using the synchronization interface.

Synchronization allows using one shared strobed illumination to expose all sensors simultaneously. Optionally, you can trigger multiple synchronized readers in a defined sequence to avoid that opposing readers blind each other. Note that synchronized triggering only supports external illumination on the dedicated connector.

Note that this and other imager settings will not get synchronized by this mechanism - for example, you must configure exposure and gain on each reader individually. This feature only synchronizes the actual image acquisition, triggering happens through the existing Multi-Reader Sync mechanism.

To set up synchronized acquisition on the reader, enable PTP (Precision Time Protocol) on the Dataman Setup Tool's Multi-Reader Sync pane under Synchronized Readers (IEEE1588). Set Secondary Camera Only accordingly on each reader individually to define Multi-Reader Sync reader relations.

The following steps describe the setup in more detail:

  1. Check Enable PTP.

  2. Keep Secondary Camera Only checked if there is already a PTP primary reader clock in the network (uncheck the checkbox otherwise on at least one reader).

  3. Observe the protocol state in the Status box.

  4. Enable MRS Synchronized by PTP to synchronize Multi-Reader Sync triggering.

  5. Set Time between Trigger Start and the Synchronized Acquisition Timestamp if required. This represents the time the Primary Reader adds to the trigger to make sure all devices already received the TCP package before this timestamp.

  6. Set Local Offset Added to the Synchronized Acquisition Timestamp if required. This represents the time the secondary reader adds to the timestamp to realize offset image acquisitions.


How does Never Read the Same Code Twice work in a Multi-Reader Sync system?

If Never Read the Same Code Twice is enabled in Decode Settings in the Primary reader and the Secondary reader reads the same code, the Primary reader considers all results and filters out duplicated reads regardless of their source.


Data Logging


What is data logging?

Data logging allows you to automatically save successfully read images, and failed to read images to a specific file location. In addition, you can save the Data Validation reports for the symbols you verify, if Data Validation has been enabled for the type of code being scanned by the reader. Make sure that you stay connected to the Setup Tool for data logging to work.


When do I disable overlay graphics in a report?

Check Disable overlay graphics in report if you do not want the green square surrounding a read code to appear in the PDF.


Device Time Settings


What settings are available under Device Time Settings?

You can select the time zone for your device from the drop-down menu. The text box below displays the the related POSIX-style time zone text of the setting, and it can be edited freely.

If Enable NTP is selected, the device synchronizes its time zone setting with the server designated in the boxes below (NTP1). The second box (NTP2) points to a second NTP server that can be used as backup, as well as to eliminate connections specific time differences between the two servers. It is sufficient to specify NTP1, but time, accuracy, and reliability increases if there are two servers involved. Note that time zone information is also used by the date object in Script-based formatting.


Image Toolview


What is the Image Panel?

In this pane, you can see the image read by your device.

Use the magnifier icons to autofit the image to the size of the Image ToolView window, to zoom in and out in the image, or to display the image in a pixel to pixel mode, respectively.

You can also enable or disable Focus Feedback on the image in LiveDisplay mode and you can copy the image to the clipboard.

Use the Save Image option to save only the current image or all burst images and the Logging options to log all NoRead or all decoded images to the file system. Click on the last Logging option Logging and reporting settings... to open the Setup Tool Options window, which is also available from the Home screen of Setup Tool, via the Options menu.

NOTE: Displayed Image Settings have no effect when saving the last image taken from the Image Pane (by dragging and dropping). The last image is always saved full size (the device's resolution maximum).


I'm having trouble reading symbols. What should I do?

  • Make sure the reader is within the working distance specified for the symbol size and type, as listed in the Quick Reference Guide.

  • Make sure you have the symbol centered within the reader's image area; make sure the symbol is centered within the red laser aimer when the device is triggered.

  • Click on Optimize Brightness, if it is enabled, to have the reader automatically adjust the image brightness. (Not supported for all trigger modes, and not supported with automatic exposure.)

    NOTE: Optimize Brightness does not work if one RoI dimension is smaller than 144.

  • Click on Symbology Settings and make sure that the symbology you are using is enabled.


How can I trigger the reader using the Setup Tool?

Click the trigger button (lightning icon) in the topmost toolbar or press <Ctrl>-T.


How do I save an acquired image to a file?

Click the Save Image button in the tool bar. You can save all images in a burst by opening the roll-down list and clicking Save all burst images.

You can also drag and drop your image to your PC. Click the image in the Image Viewer, drag it outside the Setup Tool and release it.

Note that in case you want to save an image with drag and drop and the image is not the latest (you are saving it from the Read Result History), the image will be saved with the displayed image settings. By default, it is of reduced quality. Under Displayed Image Settings, you can change the image size to full and the format to Bitmap.


Why can't I see all the images at a high frame per second transfer rate?

If you are using settings (Self, Presentation, or external trigger modes) that make it possible to read and transfer images with a 100 frame per second (or higher) rate, the device stores these images into its own image buffer, but the Setup Tool will not be able to transfer all images. Make sure you uncheck the Transfer and Display Images checkbox in the Displayed Image Settings pane to ensure that the transfer rate remains high.


What is Symbol Diagnostics (feature key required)?

Symbol diagnostics is a feature that provides graphical feedback from the device for NoRead barcodes. By looking at the feedback, you can troubleshoot why a barcode failed to decode. The feedback provided can signal the following issues (in a region of the barcode):

  • Start or Stop pattern was not found (orange arrow on code)

  • Damage/print-error inside the barcode (red rectangle region on code)

  • Quiet Zone is not sufficient (magenta rectangle region on code)

  • Checksum verification failed (blue rectangle around the code)

In addition to graphical diagnostics, Symbol Diagnostics returns readability metrics for each NoRead result, shown at the top left corner of NoRead codes. Metrics can help you assess the image or print quality and help in improving the existing setup.

Symbol diagnostics is only available for uploaded PNG images (Actions>Images>Upload Image) that are signed by a Cognex reader (not necessarily the same reader; images are signed automatically when saved from any reader). After uploading an image, check the Image Panel or Quick Setup image window for Symbol Diagnostics feedback.

Note: Symbol Diagnostics is a feature that is activated exclusively by feature key.


What error does an orange arrow indicate in Symbol Diagnostics?

An orange arrow indicates that Start or Stop pattern was not found. The region designated by the arrow failed to decode. Reasons for failure are as follows (please check the corresponding Tech Note for detailed images that illustrate each case):

  • The Start or Stop pattern is clipped/damaged

  • The code is clipped (due to image boundary or by an object blocking the code)

  • Image quality degradation (often, but not always, caused by light quality)

  • Warping and folding of barcode labels

Note: Note: Symbol Diagnostics is a feature that is activated exclusively by feature key.


What does a red rectangle inside the barcode indicate in Symbol Diagnostics?

A red rectangle indicates that there is either a physical damage or a printing issue with the barcode. The region within the rectangle is where the damage or printing issue is found. Common examples of printing issues are (please check the corresponding Tech Note for detailed images that illustrate each case):

  • Leaking ink that merges bars into one

  • Misprint of a bar that reduces its thickness beyond decoding tolerance

Note: Note: Symbol Diagnostics is a feature that is activated exclusively by feature key.


What does a magenta rectangle on the side of a barcode indicate in Symbol Diagnostics?

A magenta colored rectangle indicates that there is Quiet Zone violation. Quiet Zone violation occurs when there is not enough space on one or both sides of the barcode. Depending on the symbology, readers tolerate some Quiet Zone violation. Quiet zone violation usually happens due to text or rectangle around the barcode being too close to the barcode on one or both sides or because the code was clipped by the image boundary (please check the corresponding Tech Note for detailed images that illustrate each case).

Note: Note: Symbol Diagnostics is a feature that is activated exclusively by feature key.


What does a blue rectangle around the barcode indicate in Symbol Diagnostics?

A blue rectangle indicates that Checksum verification of this barcode failed. Common causes for Checksum validation failure are as follows (please check the corresponding Tech Note for detailed images that illustrate each case):

  • Damaged barcode (barcodes can be folded and aligned such that all the data characters decode, but it is a NoRead still, as checksum verification is not passed)

  • Incorrect pattern is printed (the encoded string and the printed barcode pattern don’t match and if the symbology supports Checksum, then the decoder can indicate such failure)

Note: Note: Symbol Diagnostics is a feature that is activated exclusively by feature key.


What is the graphical text seen near the barcode region in Symbol Diagnostics?

In addition to graphical diagnostics, Symbol Diagnostics returns readability metrics for each NoRead result. Metrics like Symbol Contrast and Minimum Edge Contrast can help users assess the image or print quality and help in improving the existing setup. The metrics are shown at the top left corner of each NoRead barcode.

The table below shows a mapping between the displayed metric name and its full name. Please refer to the Readability Metrics to understand what each metric measures.

Full Name | Displayed Name | Possible Grades
Symbol Contrast | C | A,B,C,D,F
Minimum Edge Contrast | EC | A,F
Print Growth | PG | A,F
Minimum Reflectance | MR | A,F

Note: Note: Symbol Diagnostics is a feature that is activated exclusively by feature key.


Buffering and Transfer


What are Buffered Image Settings?

Buffered Image Settings control how the reader buffers the images it acquires in response to acquisition triggers as well as the live images taken from any reader. Changing these settings does not affect the performance of the reader, and only affects the image quality and transfer rate between the reader and the Setup Tool.

  • size: By default, the Setup Tool displays a quarter of all pixels of each acquired image, or a fraction of each image during a live display. Choosing between image sizes allows the reader to perform a sub-sampling of each image, which can dramatically improve the image transfer speed from the reader to the Setup Tool at the cost of some precise image details.

  • format: By default, the reader stores each acquired image in a .jpeg format, which requires less memory and can be transferred from the reader to the Setup Tool faster than a .bmp format image.

  • quality: Available only if you are using the .jpeg image format, this slider adjusts internal parameters that allow the reader to perform a smoothing operation on the acquired image which can reduce or enhance the transfer speed from the reader to the Setup Tool.


What is the Overlay Graphics option?

When you check this option, images that you save (either through FTP or through recording them) will contain overlay graphics as SVG files together with the image files.

This option is useful when you want to record and play back images. The Buffering and Transfer function does not do any decoding, but if you check Overlay Graphics, the decoded data will get saved together with the image file and will be displayed when you play back your saved images.


Why do I not see decoded images?

The Buffering and Transfer function does not perform any decoding. Enable Overlay Graphics in the Buffered Image Settings pane, and your images will be saved with overlay graphics (as SVG files) that will be displayed when you play back your images. These graphics will show the decoded data among other decoder information.


What can I do with Buffering and Transfer?

Buffering and Transfer lets you control what images are recorded and saved on the reader, it lets you view images that are saved on the reader, and it lets you transfer those images to your PC.

  • The Image Buffering tab lets you control what images to save to the reader.

  • The Image PC Transfer tab lets you control how images are transferred from the reader to your PC.

  • The Image FTP Transfer tab lets you set up automatic image transfers from the reader to your PC.

  • The Result FTP Transfer tab lets you to configure the reader with the IP address and port number necessary to send decode results to an FTP server..


Can I send decode results to an FTP server?

Use the Image FTP Transfer tab to configure the reader with the IP address and port number necessary to send decode results to an FTP server. The tab also contains settings for a username and password combination, along with the name of the file to store the results.


How can I store FTP data in a directory different from the root directory?

The File Name field accepts not only file names, but also path names. Use forward slashes as delimiter. For example, /images/image.


Why cannot I see images and results in my FTP directory?

Make sure you have the necessary permissions for creating files. If Append is checked, make sure that the FTP user has Append permissions (which is different from Write permissions). The FTP user must also double check the IP address of the correct FTP server.


What is the What Results to Buffer list for?

The What Results to Buffer list allows you to choose which type of images are internally buffered on the reader, whether they contain decode information (Read), no decode information (NoRead), both (All) or Validation Failure, in which case only images of successful decoding, but validation failure will be stored.

However, be aware that in Burst and Continuous Modes all images of the whole sequence are stored based on the decision whether the sequence was Read or NoRead. For Burst mode, the whole sequence means all acquired images specified by the burst count. In Continuous mode, triggering acquires images as long as the trigger signal remains active, which means that all images are stored and saved until the trigger signal ends.


What is the What Images to Buffer for a Result option?

You can choose what images to buffer for a result.

Select All for the reader to store every acquired image up until the maximum number of images per result or the maximum number of images have been reached. Select Auto for the reader to do intelligent image buffering (requires the IntImageBuffer feature key). Select Same as result for the reader to store only images with a found code for a good read. Select First for the reader to store only the first image in the trigger cycle of the specified trigger mode. Select Last for the reader to store only the last image in the trigger cycle of the specified trigger mode. Select First and Last for the reader to store both the first and the last images in the trigger cycle of the specified trigger mode.


What is the Images per Result Limit?

You can set how many images per result are stored. This number cannot be higher than the Image Buffer Maximum Size.

You may want to limit the images if a trigger takes multiple acquisitions with multicode, because there may be multiple good read images. You can also use this limit for NoRead and multiple undecodable images.


What is the Image Buffer Maximum size?

Image Buffer Maximum Size is the maximum number of images that may be buffered on the reader. This is limited by the memory on the reader, but may be set to a number less than the maximum to prevent more than the desired number of images to be saved on the FTP server or PC.

Note that in Burst mode, the Burst Length + the Image Buffer Maximum Size must equal the maximum number of image buffers on the reader. The Setup Tool will automatically reduce the Image Buffer Maximum Size if the Burst Length is increased such that Burst Length + Image Buffer Maximum Size is larger than the maximum number of buffers on the reader.

Since the buffers to store images on the device and the buffers for image processing are shared, it is recommended to lower the number of stored images in Single Shot mode, too, in case a series of images is taken and the trigger rate is high. This will ensure that the device has enough buffers for normal processing.


What is the Available for Setup Tool / DMCC setting?

Available for Setup Tool / DMCC means the number of images not used by the acquisition system or Image Record. This is the maximum number of result images that can be transferred to Setup Tool or the SDK for one result.

NOTE: This is an informative value that cannot be changed.


What can I set with the NoRead Image Mode?

NoRead Image stores only one image per trigger and you can select which one. NoRead Image Period stores every nth bad read image. This is evaluated across trigger modes. For example, if you have Burst trigger mode selected with a length of 5 and set period to 3, the 1st and 4th image of the first, but the 2nd and 5th of the second burst will be stored.


What is the NoRead Image Period?

The NoRead Image Period is the rate at which NoRead images are buffered. If the value is set to 1, then all NoRead images are buffered. If you set the value to an integer N, where N is greater than 1, then only every Nth image is buffered.

Setting a NoRead Image Period value greater than 1 allows you to reduce the number of NoRead images that are buffered.

The NoRead Image Period value also affects image buffering if What Results to Buffer is set to read, because when read images are buffered, all of the images associated with a single read trigger are marked as read, so previously acquired NoRead images may be buffered as well. Setting the NoRead Image Period value can reduce the number of these images that are buffered.


What is the NoRead Image Number?

It allows you to save the Nth image of a burst that was ultimately a NoRead. Therefore it won't buffer at all if the trigger mode is not burst or the burst length is less than N.


What is the NoRead Image Rate?

The NoRead Image Rate time is the frequency of the NoRead Image Rate count (number of images). You can specify an exact number and a unit to set this time. This count and time determine the sustained rate of bad read images. The burst determines the peak rate per time.


What is the NoRead image range?

The NoRead image range stores all bad read images from the NoRead image number to the last NoRead image number.


What can I set with the Good Read Image Mode?

Good Read Image stores all buffered good read images unless you set a limit rate.

You can limit the number of good read images that are buffered by choosing Rate limited. Set the read image rate (the number of images buffered and the frequency of this count) and the rate burst, which is the peak rate per the set time.


What if I check the Allow Buffer Overwrite option?

The Allow Buffer Overwrite option controls whether storing images to the buffer overwrites older images, or stop buffering when the buffer is full.


How can I make sure images are deleted after transfer?

Check the Delete After Transfer checkbox, which controls if images are deleted after transfer. This applies to any transfer mode, including Image FTP transfer and transfer from reader to PC.


Why isn't the Transfer Now button enabled?

If you have buffered images on the reader, you must first select the folder to record the images into. You must also stop recording before you can start transferring.


Does the Clear Transfer Folder button clear the filmstrip, too?

The Clear Transfer Folder button deletes all the images in the folder. If the same images are currently being displayed in the filmstrip, the filmstrip will also be cleared.


If I already have files in the selected folder, do they get overwritten?

If files already exist in the selected folder that match the [Index] Format, the starting index will be automatically increased until there is no existing match, and then transfer will begin. Image files will not be overwritten.


Can I view images individually?

You can view images one by one, but you have to select the entire folder in which images are located. Once the images in the selected folder are displayed, click through them using the forward and back buttons.


Do I have to start viewing images all over again if I have to leave the pane?

No, leaving the Buffering and Transfer pane will pause playback as though the Pause button were clicked.


How do I transfer images to an FTP server?

Use the FTP tab to configure the settings necessary to transfer images to an FTP server. The tab contains settings for the IP address and port number of the server as well as a username and password combination. Be aware that images sent using FTP are not guaranteed to be sent, which can happen when the reader is operating at a higher frequency and cannot schedule time for transfer of images. Also note that transfer over wireless links may be much slower than regular network communication. In such cases, it is recommended to use downsampled/compressed images.

The File Name options allow you to specify the file where the images will be stored. The File Name field allows you to specify a path in relation to the FTP server's root directory (for example, /failed_images/image). The filename extension (.jpg or .bmp) presented in the label following the file name matches the image format setting on the Buffered Image Settings pane. Be aware that the reader does not create directories; the directory must be available and accessible.

The Max Append Value control indicates the limit of the increment value used in the file name. A value of 0 indicates that no increment will be appended and the file can be overwritten.

The Script Generated File Name allows you to write a script generating the file name on the Scripting pane's FTP Storage tab.

The Server Generated File Name option starts with a blank path, which indicates the root directory of the FTP server.


Runtime Image FTP transfer isn't working. What should I do?

Make sure the following conditions are met:

  • Server Address, Username, and Password are set correctly.

  • Transfer Mode is set to "FTP - Runtime".

  • The Buffer tab has "What Results to Buffer" set to anything but None (according to your needs).

  • Your FTP server supports image transfer.


What is the Script Generated File Name?

You can write a script generating the file name for the FTP transfer on the Scripting pane's FTP Storage tab.


What is the Server Generated File Name?

Some FTP servers support this functionality to uniquely name incoming files before saving them to disk.


What are the different Transfer Modes?

On Request transfer mode transfers images when you click Transfer Now in the Setup Tool or you send the appropriate DMCC. If you choose the FTP - Runtime transfer mode, images are automatically sent to the FTP server as soon as the connection becomes alive.


Why is the whole pane disabled when I'm transferring files?

The pane is disabled to achieve maximum Image FTP transfer stability. Image FTP transfer can take several minutes, depending on the connection speed to the FTP server and the size and number of images transferred.


Why can't I send images runtime to an external FTP server at a high frame per second transfer rate?

If you are using settings (Self, Presentation, or External trigger modes) that make it possible to read and transfer images with a 100 frame per second (or higher) rate, the device stores these images into its own image buffer, but you will not be able to send images to an external FTP server.

If you have the Allow Buffer Overwrite option checked, the images will most likely be overwritten. If you have it unchecked, new images will not be buffered until space is available in the buffer again.


What is the Mitsubishi GOT server setting?

This setting enhances FTP connections on Mitsubishi GOT and other FTP servers by allowing the use of idle timeout (by adding periodic NOOPs) and optional timeout to close an idle control connection. It also provides Mitsubishi GOT write mode support.


What is the SFTP server setting?

This setting allows the use of Secure File Transfer Protocol for encrypted file transfer.


What is the Idle Timeout setting for?

Idle Timeout is the amount of time that a port is held open with no outgoing traffic. Once the reader opens a connection to an FTP server, the reader keeps that connection open as long as traffic occurs.

If no traffic occurs for the set Idle Timeout period, the connection is closed. This can be useful if an FTP transfer only happens seldom and the network overhead for keeping the connection open is not desired.

You need to check Enable Idle Timeout first to be able to set the idle timeout.


Process Monitor


How do I use the Process Monitor?

Click Show Read Statistics to be able to view the statistics. Clicking the Clear Statistics button results that the stored read results statistics, and images get discarded. NOTE: this option is only available on Ethernet readers.

The Switch To Config Mode option takes you to the configuration options of the selected reader(s).


Can I save read results to a file?

Press <ctrl>-C to copy the data from the Read Result History frame and paste it into another application of your choice.


What is Item Count?

Item Count is the number of packages causing a bad read when the Allow Buffered NoRead Images option is active.


Options


What can I set in the Options page?

The Options page of the DataMan Setup Tool offers you to do settings in the application according to your preferences.


What can I set in the Language Settings field?

You can choose the language you would like to use Setup Tool with. The default is English.

NOTE: The application needs to be restarted for the changes to take effect.


What can I set in the Codepage for Code Display field?

You can set the way according to which the read string are encoded.


What can I set in the Color Scheme field?

Select the code scheme of your DataMan Setup Tool window in this field.


What can I set in the Reset Settings box?

In this box, select a category (such as Communication or Verification) from the drop-down list which you want to reset to defaults.


What is the Backup Location setting?

You can set the folder here that is used by the Backup function for saving backup files.


What settings are available on the Data Logging tab?

On this tab, you can set the folders into which result codes, decoded images, NoRead images and reports are to be saved, as well as options to change filenames and extensions when logging data.


How can I enable the generation of data validation reports?

Select Generate Data Validation reports under Logging in the Result History pane.


What can I set in the Image Buffering and Transfer field?

You can set the folder where the images can be transfered to.


What can I set in the Beeper Settings field?

When the Setup Tool receives a good read result from the DataMan reader, it turns on the PC beeper. This is useful for DataMan readers which do not have an internal device beeper. You can set the Frequency, from 1000 Hz to 10000 Hz, and the Duration, from 10 ms to 1000 ms, of a good read beep.


How can you activate the Reporting function?

Once you filled the Reporting fields, then you need to switch on the Data Validation to generate reports.


The Result Code, the Decoded Images or the NoRead Images are not appeared in the corresponding directory. What can be the problem?

You need to enable them in the corresponding Logging drop-down listboxes.


Real Time Monitoring


What can I use RTM Lean for?

Real Time Monitoring (RTM) Lean is a feature built into DataMan Setup Tool that allows for the collection and analysis of different kinds of data related to a single device on the network and its readings. The target device for this data acquisition, as well as the selection of the type of data collected, can be set up under Configuration on the ribbon menu. By default, RTM Lean collects statistical data (Read Rate, NoRead count, average decode time, trigger count, trigger overrun, buffer overflow, and process control metics, if enabled on the device).


What options are available under Configuration?

Configuration allows for the set up of data acquisition of RTM Lean along with other settings:

Device Configurations: Select a device that is the subject of data acquisition. Add devices to the list using the Add Device button. This opens a new window, where you can manually add devices based on IP using the Add Network Device button. The Refresh button can be used to refresh the list of devices, while the Remove Manually Added Device button removes the selected device from the list. Remove Device allows you to remove a device from the list of added devices, but as the pop-up warning warns, this entails the complete purging of collected data (images, statistics, and so on) for that device. Password-protected devices can be monitored by RTM Lean, but you need to provide the user name and password under Network.

Data Collection: The list includes all the types of information that RTM Lean can collect. Tick the checkboxes to collect the desired data. By default, RTM Lean collects statistical data (Read Rate, NoRead count, average decode time, trigger count, trigger overrun, buffer overflow, and process control metrics, if enabled on the device). The data types provided in the list are not among the default collected data and they can be set in the Settings tab:

  • Detailed Trigger Information for NoReads: If enabled, RTM Lean stores individual trigger data when a NoRead occurs. If the NoRead contains partial results or Multi-Reader Sync information, these are also stored.

  • NoRead Images (via FTP): If enabled, the device sends the NoRead image(s) to RTM Lean.

  • Detailed Trigger Information Good Reads: This setting enables the use of the Trigger Performance page under Detailed Views on the ribbon menu. Trigger Performance collects data for individual triggers that result in a good read. All the values of this data can be viewed in the Plotted Values drop-down menu on the Trigger Performance page.

  • Code Positions for Heat Map: For each successful read, RTM Lean stores the rectangles for each found code. This information is then used to create a 2D heat-map showing where codes were read in the Field of View.

  • Device Configuration Changes: When checked, the device notifies RTM Lean whenever its configuration changes. All configuration files sent by the device are stored by RTM Lean. Configuration change events are shown on the Events History page, where they can be exported or compared.

Note that depending on trigger frequency, enabling trigger-level data may slow down the system.

Classification: The RTM Controller can collect classification data based on the reasons for NoRead events if a Cognex In-Sight device is paired with the DataMan device. An In-Sight device must be specified for the classification to work by ticking the Collect Image Classifications from InSight box and selecting the Classificator Device from the drop-down list. To store classification images, tick the Store InSight Images to RTM box.

Note that depending on your trigger configuration and the frequency of NoRead images, storing images can increase the disk usage significantly.

Do not Overwrite Communication Script in DataMan: Tick this box to prevent overwriting the script in the device.

Network: This pane displays the name and address of the device that is being actively monitored by RTM Lean (Collection Enabled is checked on the left). Clicking the cogwheel icon opens a sub-menu that allows you to determine how RTM Lean identifies a device (IP address or MAC address). If you want to collect data from a password-protected device, you must provide the user name and password after selecting the device for monitoring from the list on the left.


What settings are available under Display Settings?

You can set up a warning line here to appear on the graphs.

  • Display ReadRate Reference Line: Checking this box makes the warning line to display.

  • ReadRate Reference Line Value (%): You can set a percentage value that is the warning percentage where the line is drawn on the Read Rate graph.

  • Chart Type determines what kind of line is displayed.

  • NoRead Buffer Size is related to the NoRead Image History, where the number set here is the maximum number of lines (triggers) considered on that page.

  • Set the maximum number of returned trigger details in the Maximum Number of Trigger Details Returned box.


What can I set under Devices in the ribbon menu?

Other than showing the ID of the device that RTM Lean is currently connected to, the displayed icon indicates if data collection is active (play icon) or inactive (pause icon). The drop down menu allows for pausing or initiating active data collection according to the parameters set up when initiating RTM Lean or under Configuration. You can also run the diagnostics from the drop-down menu as under Configuration.


Aggregated Views and Detailed Views - General Information

Both Aggregated Views ribbon menu items and Detailed Views ribbon menu items display structured representations of the data collected by RTM Lean, most in the form of interactive real-time graphs. The smallest time interval in these displays is 1 minute. If multiple triggers occur in a minute, RTM Lean aggregates data collected from these triggers for a 1 minute interval.

You can set up a warning line to appear on the graphs under Configuration > Display Settings. Checking the box makes the warning line to display on each graph. Chart type determines what kind of line is displayed, while in reference line value you can give the warning percentage where the line is drawn on the graphs.

Note that RTM Lean only collects information that is displayed on the views menu items when it is connected to and collection is enabled on the active device (enable data collection under Configuration or in the drop-down menu under Devices).


What data does Performance Overview collect and display?

Performance Overview can display Read Rate, Reads per minute, and NoReads per minute in a real-time graph, depending on the setting in the top left under Displaying. The Last [time interval] buttons on the top row are clickable, and the active is outlined orange. You can use the buttons to set the interval that Performance Overview uses.

You need to trigger the monitored device for data to be displayed on the graph.

You can set up a warning line to appear on the graphs under Configuration > Display Settings. Checking the box makes the warning line to display on each graph. Chart Type determines what kind of line is displayed, while ReadRate Reference Line Value (%) is the percentage where the line is drawn on the graphs.


What data does Code Quality Overview collect and display?

Code Quality Overview can display code quality grades and metrics in a real-time graph, depending on the setting in the top left under Settings > Plotted Value. Select the metric or grade you want to monitor on the device. Only the code quality standard that is set on the monitored device is available under Plotted Value (so an empty dropbox means that no standard is enabled on the device). You can collect data for another standard by changing the enabled code quality standard on the target device.

In case of multicode, there may be multiple code quality standards set on the device. In this case, the graph displays two data lines (and their average is displayed above).

NOTE: Because RTM Lean uses a 1 minute minimum interval, grades can have an intermediate value.

The Last [time interval] buttons on the top row are clickable, and the active is outlined orange. You can use the buttons to set the interval that Code Quality Overview uses. The average plotted value is displayed here.

You can set up a warning line to appear on the graphs under Configuration > Display Settings. Ticking the box makes the warning line to display on each graph. Chart Type determines what kind of line is displayed, while ReadRate Reference Line Value (%) is the percentage where the line is drawn on the graphs.


What data does Event History collect and display?

Event History combines statistic and code quality data acquisition in a real-time graph, depending on the setting in the top left under Settings > Plotted Value. RTM Lean monitors the selected value on the device. For code quality metrics and grades, only the code quality standard that is set on the monitored device is available under Plotted Value. You can collect data for another standard by changing the enabled code quality standard on the target device.

The scrollbar can be moved to the desired point in time to view the data of that particular time. Scrollbar length can be modified (hold click and drag) to change the monitored interval. An aggregated value of the plotted value of the selected time period (by positioning the scrollbar) is displayed in the top middle under Aggregated value in selected period.

Data collection populates the bottom line of the graph with dots that represent events during monitoring. Each event is listed on the right side with details (time stamp and event type). There are two buttons below the list:

  • Save Device Backups allows you to export the device config tied to the selected event on the list. This might be used to check for details when looking for reasons for a change in a given statistic, metric or grade.

  • Compare Configurations opens up the document where you can compare the device configurations tied to the selected events; this only works if more than one event is selected from the list.


What can I see on the Code Location Heatmap pane?

Code Location Heatmap draws a heat map of good reads, where regions are colored according to how frequently codes were found in them. Warmer colors indicate that codes were found more frequently in that area. The scrollbar can be moved to the desired point in time to view the heat map of that particular time. Scrollbar length can be modified (hold click and drag) to change the monitored interval.


What data is displayed on the NoRead Image History pane?

NoRead Image History displays the latest NoRead images taken by the monitored device. The table view on the left lists various attributes of the images, while the image window on the right displays the image you select from the slide view below it. Click the Save Icon to save the currently selected image.

The Classification chart in the bottom left corner shows what type of NoRead events happened, if you selected collecting classification under Configuration > Settings > Classification.


What data is displayed on the Trigger Performance pane?

In order for Trigger Performance to be enabled, you need to tick the Detailed Trigger Information for Good Reads option of the Data Collection list in the Settings tab.

Trigger Performance does not aggregate data for 1 minute intervals like other panes, but instead shows each trigger on the graph. Individual triggers are represented by dots on the graph and their numeric value is displayed. Plotted values (the one being monitored) can be chosen from a number of possible values in the Plotted values drop down box. Note that depending on the firmware version on the monitored device, the list of plotted values can be different.

The scrollbar can be moved to the desired point in time to view the data of that particular time. Scrollbar length can be modified (hold click and drag) to change the monitored interval. The Color plots based on setting allows you to set the criteria for the coloring of dots on the graph.

A single dot (trigger) can be clicked on the graph to display all the related data that RTM Lean collected on the right side if the trigger resulted in a good read. If it resulted in a bad read, RTM Lean displays the image taken that can be saved by clicking on the Save icon.


What options are available under the System tab?

You can delete data and configuration settings here. Clicking EmptyDatabase deletes all stored data and Reset Configuration deletes the device's configuration settings and all the stored data.


Table View


Why are some values displayed in highlighted?

Values that are highlighted are non-default values initially. Highlighting rules can be changed in the ribbon menu's Highlighting section, see question Table View: Ribbon Menu for more information.


Why are some values displayed in bold?

Values in bold are expandable and reveal sub-values.


How do I know what the possible values are?

Move your mouse above a value, and see the hover text indicating the minimum, maximum and default values, where applicable.


Table View: General Layout and Structure

Table View is a viewing tool that uses a grid style.

The header row displays the device name. The second header row below the first displays the available setups for the device. The row headers below (in bold) can be collapsed or opened by clicking the icon next to them. When the device is disconnected, a reconnect icon appears in its header row.

Settings that are not read setup dependent are only displayed in the first column (Main Setup).


Table View: Controls (Mouse and Keyboard)

Selection:

  • Mouse: Clicking on a cell in the grid selects it, which hightlights the row header of the cell and the column header where the device and setup belong. The menu buttons and items in the ribbon menu can change in line with selection. If the selected cell is in the row of a header row, all cells in the current column that belong to the header are selected.

  • Keyboard: Cursor movement keys navigate the selection to the appropriate cell. The highlight and selection behavior is the same as by mouse.

Adding/changing values:

  • Mouse: For cells with embedded editors, clicking on the editor control (combo box, checkbox, numeric up-down) allows the input of values. For cells with custom editors (the '...' icon), a pop-up editor opens, allowing value input.

  • Keyboard: For cells with embedded editors, pressing Enter or F2 initiates edit mode, Esc cancels editing, and a second Enter confirms editing. Values can be entered in the selected text without entering edit mode, in which case the current value is overwritten at the first keystroke.

    For numeric cells, in addition to embedded text editor cells, the up and down arrows increase and decrease the value.

    For drop-down cells, Enter initiates edit mode and shows the drop-down items, while up and down arrows move the selection. A second Enter applies the selected value and Esc cancels editing.

    For checkbox cells, use Space to toggle checked/unchecked states.

Copying and Pasting:

Use the keyboard combinations Ctrl+C and Ctrl+V for copying and pasting, respectably, see the copy-paste description of the related ribbon menu items for more information.


Table View: Ribbon Menu

The ribbon menu can be found above the table view grid. Its contents and active icons may change in line with the selection of cells, rows, or columns in the grid. The menu is separated into several groups.

  • Table View: Use the Add Setup button to add or copy read setups to the selected device. Delete Setup deletes the selected read setup(s). The Change Order button enables the changing of the read-setup order the device alternates between.

  • Editing: Use Copy (or Ctrl+C on the keyboard) to copy a value from the currently selected cell. Paste can only be used in the same row or in any text editor.Reset Values is used to reset the value(s) of the selected cell(s).

  • Highlighting: Buttons and settings in this menu group provide options to highlight specific cell backgrounds. With the Non-Default Values setting, cells that have non-default values are highlighted (this may be different in a single row for different devices or read setups). The Difference to Reference setting highlights cells that have different values from the cell in the same row of the reference read setup (and device). The third setting is selected, all values and headers are highlighted that contain the text specified in the textbox. Additionally, the contained text itself is highlighted with a different text background. Pressing Enter applies the function of the Show Highlighted Rows Only button as well.

    When enabled, Show Highlighted Rows Only collapses all nodes that do not have any sub-node that is highlighted. When activated, the Set Reference Read Setup specifies the read setup (and device) that is used as a reference when the Difference to Reference highlighting mode is used. When the button is active, the currently selected cell’s column (read setup) becomes the reference setup. The current reference setup is marked in the setup name header row.

  • Filtering: Global settings, the default setting, only displays settings that can not have different values in different read setups. Set Read Setup settings to see only settings that are read setup dependent. Set All settings to see all settings at once. If an entry has values in more read setups, they are visible in different columns.

  • Other: Use Expand All Rows to expand all the rows that have been collapsed in the grid. Use Collapse All Rows to collapse all expanded rows in the grid. Reset Layout recalculates the column widths to use up all available space. If the available space is not enough, a minimum column width is applied.


Legal Information


Copyright

Cognex Corporation assumes no responsibility for the use or reliability of its software on equipment that is not supplied by Cognex Corporation. Cognex Corporation makes no warranties, either express or implied, regarding the described software, its merchantability or its fitness for any particular purpose.

The information in this document is subject to change without notice and should not be construed as a commitment by Cognex Corporation. Cognex Corporation is not responsible for any errors that may be present in either this document or the associated software.

Copyright © 2020 Cognex Corporation All Rights Reserved

This document may not be copied in whole or in part, nor transferred to any other media or language, without the written permission of Cognex Corporation.

The hardware and portions of the software described in this document may be covered by one or more of the U.S. patents listed on the Cognex web site http://www.cognex.com/patents.asp. Other U.S. and foreign patents are pending.


Licensed Software

SpiderMonkey

This software is subject to the terms of the Mozilla Public License, v. 2.0. You can obtain a copy of the MPL at http://mozilla.org/MPL/2.0/.

If you want to get a copy of the source code of SpiderMonkey please contact Cognex technical support at <spidermonkey@cognex.com>

PCRE Licence

PCRE is a library of functions to support regular expressions whose syntax and semantics are as close as possible to those of the Perl 5 language.

Release 5 of PCRE is distributed under the terms of the "BSD" licence, as specified below. The documentation for PCRE, supplied in the "doc" directory, is distributed under the same terms as the software itself.

Written by: Philip Hazel <ph10@cam.ac.uk>

University of Cambridge Computing Service, Cambridge, England. Phone: +44 1223 334714.

Copyright (c) 1997-2004 University of Cambridge All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  • Neither the name of the University of Cambridge nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE

End

JPEG software

This software is based in part on the work of the Independent JPEG Group.

zlib compression library

This software is based in part on the work of Jean-loup Gailly and Mark Adler.

Parsifal XML Parser

Copyright (c) 2002-2005 Toni Uusitalo released to the public domain 2002-11-15 http://www.saunalahti.fi/~samiuus/toni/xmlproc/

Parsifal is free for both commercial and non-commercial use and redistribution, provided that author's copyright and disclaimer are retained intact. You are free to modify Parsifal for your own use and to redistribute Parsifal with your modifications, provided that the modifications are clearly documented.

DISCLAIMER

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of Merchantability or fitness for a particular purpose. Please use it AT YOUR OWN RISK.


Patent Information

This product is covered by one or more of the below listed US patents, US applications, and/or foreign patents http://www.cognex.com/patents will list any relevant subsequently issued patents

5742037, 5943441, 6215915, 6236769, 6282328, 6381375, 6408109, 6457032, 6690842, 6941026, 7175090, 7181066, 7412106, 7427028, 7549582, 7604174, 7614563, 7617984, US-2005-0087601-A1, US-2006-0131418-A1, US-2006-0131419-A1, US-2006-0133757-A1, US-2007-0090193-A1, US-2007-0091332-A1, US-2007-0152064-A1, US-2007-0170259-A1, US-2008-0004822-A1, US-2008-0011855-A1, US-2008-0142604-A1, US-2008-0143838-A1, US-2008-0158365-A1, US-2009-0090781-A1, US-2009-0108073, US-2009-0121027-A1, US-2009-0166424-A1, US-2009-0294541-A1, WO06065619A1, and EP1687752